--------------------------------------------------------
-- Archivo creado  - domingo-junio-15-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Procedure ADD_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."ADD_EVENT" 
(
 
 P_DATA_ALTA IN DATE 
, P_CODI_TIPUS_EVENT IN VARCHAR2 
, P_ID_HOMENATJAT IN VARCHAR2 
, P_DATA_LIMIT IN DATE 
, P_MOSTRAR_IMPORT_INDIV IN CHAR
, RSP OUT VARCHAR2

) AS 
 DATA_DIFERENT EXCEPTION;
  ERROR_CODE NUMBER;
    ERROR_NUM NUMBER;
    ERROR_NULL NUMBER;

BEGIN
 RSP :='OK';---DEFECTE ;
  ERROR_CODE:=-2290;
     ERROR_NUM:=-2291;
     ERROR_NULL:=-1400;


IF TRUNC(P_DATA_ALTA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;   
INSERT INTO  EVENTS(DATA_ALTA,CODI_TIPUS_EVENT,ID_HOMENATJAT,DATA_LIMIT) VALUES(
P_DATA_ALTA,P_CODI_TIPUS_EVENT,P_ID_HOMENATJAT,P_DATA_LIMIT);
  DBMS_OUTPUT.PUT_LINE(RSP); --SORTIDA OK
  afegir_log('add_event', p_data_alta || ' # ' || p_codi_tipus_event  , rsp);
EXCEPTION

 when    DATA_DIFERENT THEN  RSP:='ERROR ADD_EVENT_01: ';
  DBMS_OUTPUT.PUT_LINE(RSP); 
  afegir_log('add_event', p_data_alta || ' # ' || p_codi_tipus_event || ' # ' || P_ID_HOMENATJAT || ' # ' || P_DATA_LIMIT  , rsp);
 
 WHEN OTHERS THEN 
 
 IF(ERROR_CODE=SQLCODE)then RSP:='ERROR ADD_EVENT_02: '; 
 elsIF(ERROR_NUM=SQLCODE)then RSP:='ERROR ADD_EVENT_03: '; 
 
 elsIF(ERROR_NULL=SQLCODE) THEN RSP:='ERROR ADD_EVENT_04: '; 

 elsif (ERROR_CODE <> -2290 AND ERROR_NUM <>-2291 AND ERROR_NULL<>-1400 )   THEN
 RSP:='ERROR: '||SQLERRM; 
 end if;
 
 
 DBMS_OUTPUT.PUT_LINE(RSP); 
 afegir_log('add_event', p_data_alta || ' # ' || p_codi_tipus_event || ' # ' || P_ID_HOMENATJAT || ' # ' || P_DATA_LIMIT , rsp);
  
  
   
   
 
END ADD_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure ADD_PARTICIPANTS_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."ADD_PARTICIPANTS_EVENT" 
(
  P_ID_EVENTS IN VARCHAR2 
, P_ID_USUARI IN VARCHAR2 
, P_DATA_ALTA IN DATE 
, RSP OUT VARCHAR2

) AS 
   DATA_DIFERENT EXCEPTION;
  
   ERROR_CODE NUMBER;
  
  
BEGIN
  RSP :='OK';---DEFECTE ;
   ERROR_CODE:=-2291;
  
 
  
  IF TRUNC(P_DATA_ALTA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;   
 
  INSERT INTO EVENTS_PARTICIPANTS(ID_EVENT,ID_USUARI,DATA_ALTA)VALUES(
   P_ID_EVENTS,P_ID_USUARI,P_DATA_ALTA);
   DBMS_OUTPUT.PUT_LINE(RSP); --SORTIDA OK
   afegir_log('add_participants_event', p_id_events || ' # ' || p_id_usuari || ' # ' || P_data_alta, rsp);
  
   
    
   
  EXCEPTION

 WHEN DUP_VAL_ON_INDEX THEN RSP:='ERROR ADD_PAR_EV_01: ';

 WHEN DATA_DIFERENT THEN  RSP:='ERROR ADD_PAR_EV_02: ';
 
 DBMS_OUTPUT.PUT_LINE(RSP);
 afegir_log('add_participants_event', p_id_events || ' # ' || p_id_usuari || ' # ' || P_data_alta ,rsp);
 WHEN OTHERS THEN 
 IF(ERROR_CODE=SQLCODE)then rsp:='ERROR ADD_PAR_EV_03: '; 
 elsif(ERROR_CODE <>-2291)THEN RSP:='ERROR: '||SQLERRM;  
 END IF;
 DBMS_OUTPUT.PUT_LINE(rsp);
 afegir_log('add_participants_event', p_id_events || ' # ' || p_id_usuari || ' # ' || P_data_alta, rsp);
 
 
  
END ADD_PARTICIPANTS_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure ADD_REGAL_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."ADD_REGAL_EVENT" 
(
  P_ID_EVENT IN NUMBER 
, P_ID_DESIG IN NUMBER 
--, P_CODI_ESTAT IN VARCHAR2 
--, P_IMPORT_ACUMULAT IN FLOAT
, P_IMPOST IN FLOAT
, P_ID_ENTREGAR_A IN NUMBER 
--, P_IMPORT_RESTANT IN FLOAT
, RSP OUT VARCHAR2

) AS 
 ERROR_CODE NUMBER;

BEGIN
RSP :='OK';---DEFECTE ;
 ERROR_CODE:=-2291;
 
 INSERT INTO REGALS(ID_EVENT,ID_DESIG,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) VALUES( 
 P_ID_EVENT,P_ID_DESIG,P_IMPOST,P_ID_ENTREGAR_A,CERCAIMPORTREGAL(P_ID_DESIG));
  DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('add_regal_event', p_id_event || ' # ' || p_id_desig || ' # ' || P_impost || ' # ' ||p_id_entregar_a,RSP); 
 EXCEPTION
 WHEN OTHERS THEN
 IF(ERROR_CODE=SQLCODE)THEN RSP:='ERROR ADD_RE_EV_01: ';
 else RSP:='ERROR: '||SQLERRM; 
 END IF;
  DBMS_OUTPUT.PUT_LINE(rsp);
 afegir_log('add_regal_event', p_id_event || ' # ' || p_id_desig || ' # ' || P_impost || ' # ' ||p_id_entregar_a ,RSP );
END ADD_REGAL_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure ADD_REGALS_DESITJATS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."ADD_REGALS_DESITJATS" 
(
 P_ID_USUARI IN NUMBER 
,P_CODI_PROV IN VARCHAR2 
,P_REF_CATALEG IN VARCHAR2 
,P_CODI_ARTICLE IN VARCHAR2 
, P_OBSERVACIONS IN VARCHAR2 
, P_DATA_ALTA IN DATE 
, RSP OUT VARCHAR2
) AS 
DATA_DIFERENT EXCEPTION;
ERROR_CODE NUMBER;
BEGIN
 ERROR_CODE:=-2291;
 RSP :='OK';---DEFECTE ;
 
  IF TRUNC(P_DATA_ALTA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;   
  
 INSERT INTO DESITJOS(ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA)VALUES(
 P_ID_USUARI,P_CODI_PROV,P_REF_CATALEG,P_CODI_ARTICLE,P_OBSERVACIONS,P_DATA_ALTA);
 
   DBMS_OUTPUT.PUT_LINE(RSP); --SORTIDA OK
    afegir_log('add_regals_desitjats', p_id_usuari || ' # ' || p_codi_prov || ' # ' || P_REF_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP); 
  
  EXCEPTION
   WHEN DATA_DIFERENT THEN  RSP:='ERROR ADD_RE_DESIT_01: ';
    DBMS_OUTPUT.PUT_LINE(RSP);
 afegir_log('add_regals_desitjats', p_id_usuari || ' # ' || p_codi_prov || ' # ' || P_REF_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP); 
 WHEN OTHERS THEN 
 IF(ERROR_CODE=SQLCODE)then rsp:='ERROR ADD_RE_DESIT_02: '; 
  elsif (ERROR_CODE <>ERROR_CODE)THEN
 RSP:='ERROR: '||SQLERRM;  DBMS_OUTPUT.PUT_LINE(rsp);
 END IF;
 DBMS_OUTPUT.PUT_LINE(RSP);
 afegir_log('add_regals_desitjats', p_id_usuari || ' # ' || p_codi_prov || ' # ' || P_REF_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP); 
  
 
END ADD_REGALS_DESITJATS;

/
--------------------------------------------------------
--  DDL for Procedure ADD_TRANSACCIONS_REGALS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."ADD_TRANSACCIONS_REGALS" 
(
  P_DATA IN DATE 
, P_ID_USUARI IN NUMBER 
, P_ID_REGAL IN NUMBER 
, P_CODI_MOD_PAGAMENT IN VARCHAR2 
, P_IMPORT IN FLOAT
, RSP OUT VARCHAR2


) AS 
  DATA_DIFERENT EXCEPTION;
  ERROR_CODE NUMBER;
  ERROR_NULL NUMBER;
 resultatImport  number;
 resultatRestant number;
  prova number;
  resultatIm number;
  resultatRe number;
  importRetornat number;
  importTotal number;
  valorDefecte number;
BEGIN
ERROR_CODE:=-2291;
ERROR_NULL:=-1400;
 prova:=322;
 RSP :='OK';---DEFECTE ;
 
 
  IF TRUNC(P_DATA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;   


INSERT INTO TRANSACCIONS(DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT) VALUES(
P_DATA,P_ID_USUARI,P_ID_REGAL,P_CODI_MOD_PAGAMENT,P_IMPORT);
resultatIm:=(afegir_import_transaccio_regal(P_ID_REGAL));
resultatRe:=(restar_import_transaccio_regal(P_ID_REGAL));
resultatImport:=resultatIm+P_IMPORT;
resultatRestant:=resultatRe-P_IMPORT;
 DBMS_OUTPUT.PUT_LINE(RSP); 
 afegir_log('add_transaccions_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
 
 if(resultatRestant>0) then
 --DBMS_OUTPUT.PUT_LINE('primer'); 
  UPDATE regals
  SET 
   import_acumulat=resultatImport,
   import_restant=resultatRestant
 WHERE regals.id=P_ID_REGAL; 
 end if;
 
if (resultatRestant=0)then
 --DBMS_OUTPUT.PUT_LINE('segon'); 
   UPDATE regals
  SET 
   import_acumulat=resultatImport,
   import_restant=resultatRestant,
   codi_estat=4
 WHERE regals.id=P_ID_REGAL; 
end if;



if (resultatRestant<0) then
--DBMS_OUTPUT.PUT_LINE('tercer'); 
--DBMS_OUTPUT.PUT_LINE('resultat import'||resultatImport); 
--DBMS_OUTPUT.PUT_LINE('resultat restant'||resultatRestant); 
--importTotal:=resultatIm+P_IMPORT;
importTotal:=resultatImport;
--DBMS_OUTPUT.PUT_LINE('importTotal1:='||importTotal); 
importTotal:=resultatRestant;
--DBMS_OUTPUT.PUT_LINE('importTotal2(calcul la resta):='||importTotal); 
 
RSP:='Error ADD_DEVOLUCIO ' || importTotal;
afegir_log('add_transaccions_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);

UPDATE transaccions
  SET 
  devolucio=importTotal
 WHERE transaccions.id_regal=P_ID_REGAL and transaccions.id_usuari=p_ID_USUARI;
 
 UPDATE regals
  SET 
   import_acumulat=(import_acumulat+import_restant),
   import_restant=0,
   codi_estat=4
 WHERE regals.id=P_ID_REGAL; 
end if;



 
  
 
  
  
  EXCEPTION
   WHEN DATA_DIFERENT THEN  RSP:='ERROR ADD_TRANS_RE_01: ';
   DBMS_OUTPUT.PUT_LINE(rsp);
 afegir_log('add_transaccions_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
 WHEN OTHERS THEN 
 IF(ERROR_CODE=SQLCODE)then rsp:=('ERROR ADD_TRANS_RE_02: ');
 elsif(ERROR_NULL=SQLCODE) THEN rsp:=('ERROR ADD_TRANS_RE_03: ');
 elsIF(ERROR_CODE <>ERROR_CODE OR ERROR_NULL<> ERROR_NULL)THEN
 RSP:='ERROR: '||SQLERRM; 
 END IF;
 DBMS_OUTPUT.PUT_LINE(rsp);
 afegir_log('add_transaccions_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);

 
END ADD_TRANSACCIONS_REGALS;

/
--------------------------------------------------------
--  DDL for Procedure AFEGIR_LOG
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."AFEGIR_LOG" 
(
  PROCEDIMENT IN VARCHAR2 
, PARAMETRES_ENTRADA IN VARCHAR2 
, PARAMETRES_SORTIDA IN VARCHAR2 
) AS 
BEGIN
  INSERT INTO tabla_log
  VALUES(
    sysdate,
    procediment,
    parametres_entrada,
    parametres_sortida
  );
END AFEGIR_LOG;

/
--------------------------------------------------------
--  DDL for Procedure BAIXA_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."BAIXA_EVENT" 
(
  P_ID IN NUMBER 
  , RSP OUT VARCHAR2
 

) AS 
  

BEGIN
 RSP :='OK';---DEFECTE ;
 

  DELETE FROM EVENTS 
  WHERE ID=P_ID;
  IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
   DBMS_OUTPUT.PUT_LINE(rsp);
  afegir_log('baixa_event', p_id , rsp);
  ELSE
    DBMS_OUTPUT.PUT_LINE(rsp);
    afegir_log('baixa_event', p_id , rsp);
    END IF;
  EXCEPTION
   WHEN OTHERS THEN 
   RSP:='ERROR: '||SQLERRM;
   DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('baixa_event', p_id , rsp);

END BAIXA_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure BAIXA_PARTICIPANTS_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."BAIXA_PARTICIPANTS_EVENT" 
(
  P_ID_EVENTS IN VARCHAR2 
, P_ID_USUARI IN VARCHAR2 
, RSP OUT VARCHAR2

) AS 
BEGIN
RSP :='OK';---DEFECTE ;
DELETE FROM EVENTS_PARTICIPANTS
WHERE P_ID_EVENTS = ID_EVENT AND P_ID_USUARI=ID_USUARI;
 IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
  DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('baixa_participants_event', p_id_events || ' # ' ||p_id_usuari , rsp);
 
  ELSE
   rsp:=('OK');
   DBMS_OUTPUT.PUT_LINE(RSP);
   afegir_log('baixa_participants_event', p_id_events || ' # ' ||p_id_usuari , rsp);
    END IF;
  EXCEPTION
   WHEN OTHERS THEN 
   RSP:='ERROR: '||SQLERRM; 
   DBMS_OUTPUT.PUT_LINE(RSP);
   afegir_log('baixa_participants_event', p_id_events || ' # ' ||p_id_usuari , rsp);
 
END BAIXA_PARTICIPANTS_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure BAIXA_REGAL_EVENT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."BAIXA_REGAL_EVENT" 
(
  P_ID IN NUMBER 
  , RSP OUT VARCHAR2
) AS 
BEGIN
RSP :='OK';---DEFECTE ;

  DELETE FROM  REGALS WHERE ID=P_ID;
   IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
   DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('baixa_regal_event', p_id , rsp);
 
  ELSE
    DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('baixa_regal_event', p_id , rsp);
    END IF;
  EXCEPTION
   WHEN OTHERS THEN 
   RSP:='ERROR: '||SQLERRM;
   DBMS_OUTPUT.PUT_LINE(RSP);
  afegir_log('baixa_regal_event', p_id , rsp);
END BAIXA_REGAL_EVENT;

/
--------------------------------------------------------
--  DDL for Procedure BAIXA_REGALS_DESITJATS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."BAIXA_REGALS_DESITJATS" 
(
  P_ID IN NUMBER 
  , RSP OUT VARCHAR2
) AS 
BEGIN
RSP :='OK';---DEFECTE ;
DELETE FROM  DESITJOS WHERE P_ID = ID;
IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
   DBMS_OUTPUT.PUT_LINE(RSP);
    afegir_log('baixa_regal_desitjats', p_id , rsp);
 
  ELSE
    DBMS_OUTPUT.PUT_LINE(RSP);
    afegir_log('baixa_regal_desitjats', p_id , rsp);
    END IF;
  EXCEPTION
   WHEN OTHERS THEN 
   RSP:='ERROR: '||SQLERRM;
   DBMS_OUTPUT.PUT_LINE(RSP);
    afegir_log('baixa_regal_desitjats', p_id , rsp);
END BAIXA_REGALS_DESITJATS;

/
--------------------------------------------------------
--  DDL for Procedure BAIXA_TRANSACCIONS_REGALS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."BAIXA_TRANSACCIONS_REGALS" 
(
  P_ID IN NUMBER 
  , RSP OUT VARCHAR2
) AS 
BEGIN
  RSP :='OK';---DEFECTE ;
  
 DELETE FROM TRANSACCIONS WHERE ID=P_ID;
 IF SQL%NOTFOUND THEN 
  DBMS_OUTPUT.PUT_LINE('ERROR '|| SQLERRM); 
 
  ELSE
   DBMS_OUTPUT.PUT_LINE('OK');
    END IF;
  EXCEPTION
   WHEN OTHERS THEN 
   RSP:='ERROR: '||SQLERRM;  DBMS_OUTPUT.PUT_LINE(RSP);
END BAIXA_TRANSACCIONS_REGALS;

/
--------------------------------------------------------
--  DDL for Procedure MODIFICACIO_REGAL_DESITJAT
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."MODIFICACIO_REGAL_DESITJAT" 
(
  P_ID IN NUMBER
  ,P_CODI_PROV IN VARCHAR2
  ,P_REG_CATALEG IN VARCHAR2
  ,P_CODI_ARTICLE IN VARCHAR2
  ,P_OBSERVACIONS IN VARCHAR2
  ,P_DATA_ALTA IN DATE 
  , RSP OUT VARCHAR2
) AS
 DATA_DIFERENT EXCEPTION;
  ERROR_CODE NUMBER;

BEGIN
 RSP :='OK';---DEFECTE ;
    ERROR_CODE:=-2291;

 
  IF TRUNC(P_DATA_ALTA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;   
UPDATE DESITJOS
SET CODI_PROV=CODI_PROV
    ,REF_CATALEG=P_REG_CATALEG
    ,CODI_ARTICLE=P_CODI_ARTICLE
    ,OBSERVACIONS=P_OBSERVACIONS
    ,DATA_ALTA=P_DATA_ALTA
  where ID=P_ID; 
  IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
  DBMS_OUTPUT.PUT_LINE(rsp);
  afegir_log('modificacio_regal_desitjats', p_id || ' # ' || p_codi_prov || ' # ' || P_REg_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP);
  
  END IF;
   IF SQL%FOUND THEN
   rsp:=('OK');
   DBMS_OUTPUT.PUT_LINE(rsp);
   afegir_log('modificacio_regal_desitjats', p_id || ' # ' || p_codi_prov || ' # ' || P_REg_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP);
    END IF;
 
  EXCEPTION
   WHEN DATA_DIFERENT THEN  RSP:='ERROR MOD_RE_DESIT_01: ';
   DBMS_OUTPUT.PUT_LINE(RSP);
   afegir_log('modificacio_regal_desitjats', p_id || ' # ' || p_codi_prov || ' # ' || P_REg_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP);
   WHEN OTHERS THEN 
 IF(ERROR_CODE=SQLCODE)then rsp:=('ERROR MOD_RE_DESIT_02'); 
 elsif(ERROR_CODE <>-2291)THEN
 RSP:='ERROR: '||SQLERRM; 
 END IF;
 DBMS_OUTPUT.PUT_LINE(RSP);
 afegir_log('modificacio_regal_desitjats', p_id || ' # ' || p_codi_prov || ' # ' || P_REg_CATALEG || ' # ' ||P_CODI_ARTICLE|| ' # ' ||P_OBSERVACIONS || ' # ' ||P_DATA_ALTA,RSP);
 
END MODIFICACIO_REGAL_DESITJAT;

/
--------------------------------------------------------
--  DDL for Procedure MODIFICACIO_TRANSA_REGALS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "REGALS"."MODIFICACIO_TRANSA_REGALS" 
(
  P_ID IN NUMBER 
, P_DATA IN DATE 
, P_ID_USUARI IN NUMBER 
, P_ID_REGAL IN NUMBER 
, P_CODI_MOD_PAGAMENT IN VARCHAR2 
, P_IMPORT IN FLOAT
 ,P_DATA_ALTA IN DATE 
  , RSP OUT VARCHAR2
) AS 

 DATA_DIFERENT EXCEPTION;
  ERROR_CODE NUMBER;
  ERROR_NULL NUMBER;

BEGIN
ERROR_CODE:=-2291;
ERROR_NULL:=-1407;
 RSP :='OK';---DEFECTE ;

 IF TRUNC(P_DATA_ALTA) <> TRUNC(SYSDATE) THEN
    RAISE DATA_DIFERENT;
  END IF;  
  
UPDATE TRANSACCIONS SET
  DATA=P_DATA,
  ID_USUARI=P_ID_USUARI,
  ID_REGAL=P_ID_REGAL,
  CODI_MOD_PAGAMENT=P_CODI_MOD_PAGAMENT,
  IMPORT=P_IMPORT
 WHERE ID=P_ID;
 
 IF SQL%NOTFOUND THEN 
  rsp:=('ERROR '|| SQLERRM); 
   DBMS_OUTPUT.PUT_LINE(rsp);
    afegir_log('modificacio_transa_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
  END IF;
  
  IF SQL%FOUND THEN
   rsp:=('OK');
  DBMS_OUTPUT.PUT_LINE(rsp);
   afegir_log('modificacio_transa_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
    END IF;
    
  EXCEPTION
   WHEN DATA_DIFERENT THEN  RSP:='ERROR ADD_TRANS_RE_01 ';
   DBMS_OUTPUT.PUT_LINE(RSP);
   afegir_log('modificacio_transa_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
   
   WHEN OTHERS THEN 
 IF(ERROR_CODE=SQLCODE)then rsp:=('ERROR ADD_TRANS_RE_02'); 
 elsif (ERROR_NULL=SQLCODE) THEN rsp:=('ERROR ADD_TRANS_RE_03');
 elsif (ERROR_CODE <>ERROR_CODE OR ERROR_NULL<> ERROR_NULL)THEN
 RSP:='ERROR: '||SQLERRM;  
 END IF;
 DBMS_OUTPUT.PUT_LINE(rsp);
 afegir_log('modificacio_transa_regals',P_DATA  || ' # ' || P_ID_USUARI || ' # ' || P_ID_REGAL || ' # ' || P_CODI_MOD_PAGAMENT|| ' # ' ||P_IMPORT  , rsp);
END MODIFICACIO_TRANSA_REGALS;

/
