--------------------------------------------------------
-- Archivo creado  - domingo-junio-15-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table ARTICLES
--------------------------------------------------------

  CREATE TABLE "REGALS"."ARTICLES" 
   (	"CODI_PROVEIDOR" VARCHAR2(15 BYTE), 
	"REF_CATALEG" VARCHAR2(15 BYTE), 
	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE), 
	"PREU" VARCHAR2(45 BYTE), 
	"CODI_CATEGORIA" VARCHAR2(15 BYTE), 
	"CODI_IMPOST" VARCHAR2(5 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table CATALEGS
--------------------------------------------------------

  CREATE TABLE "REGALS"."CATALEGS" 
   (	"CODI_PROVEIDOR" VARCHAR2(15 BYTE), 
	"REFERENCIA" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table CATEGORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."CATEGORIES" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DEDICATORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."DEDICATORIES" 
   (	"ID" NUMBER(11,0), 
	"ID_EVENT" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"MISSATGE" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DESITJOS
--------------------------------------------------------

  CREATE TABLE "REGALS"."DESITJOS" 
   (	"ID" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"CODI_PROV" VARCHAR2(15 BYTE), 
	"REF_CATALEG" VARCHAR2(15 BYTE), 
	"CODI_ARTICLE" VARCHAR2(15 BYTE), 
	"OBSERVACIONS" VARCHAR2(100 BYTE), 
	"DATA_ALTA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_PARTICIPANT
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_PARTICIPANT" 
   (	"ANYS_MES" CHAR(6 BYTE), 
	"PARTICIPANT_MES_REGALS" VARCHAR2(20 BYTE), 
	"PARTICIPANT_MES_DESPESA" VARCHAR2(20 BYTE), 
	"PARTICIPANT_MES_PARTICIPAT" VARCHAR2(20 BYTE), 
	"GRUP_MES_DESPESA" VARCHAR2(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_PRODUCTE
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_PRODUCTE" 
   (	"ANYS" CHAR(4 BYTE), 
	"PRODUCTE" VARCHAR2(20 BYTE), 
	"MAX_VEGADES_REGALAT" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_REGAL
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_REGAL" 
   (	"ANYS" CHAR(4 BYTE), 
	"NUMERO_REGALS_ADQUIRIT" NUMBER, 
	"IMPORT_TOTAL_REGALS" NUMBER, 
	"PERCENTATGE_REGAL_ASSOLIT" NUMBER, 
	"MITJA_DESPESA_REGALS_PARTICI" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS" 
   (	"ID" NUMBER(11,0), 
	"DATA_ALTA" DATE, 
	"CODI_TIPUS_EVENT" VARCHAR2(15 BYTE), 
	"ID_HOMENATJAT" NUMBER, 
	"DATA_LIMIT" DATE, 
	"MOSTRAR_IMPORT_INDIV" CHAR(1 BYTE) DEFAULT 'n'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS_PARTICIPANTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS_PARTICIPANTS" 
   (	"ID_EVENT" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"DATA_ALTA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS_TIPUS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS_TIPUS" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IMPOSTOS
--------------------------------------------------------

  CREATE TABLE "REGALS"."IMPOSTOS" 
   (	"CODI" VARCHAR2(5 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE), 
	"VALOR" NUMBER(2,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table MODES_PAGAMENT
--------------------------------------------------------

  CREATE TABLE "REGALS"."MODES_PAGAMENT" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table PROVEIDORS
--------------------------------------------------------

  CREATE TABLE "REGALS"."PROVEIDORS" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"NOM" VARCHAR2(45 BYTE), 
	"DIRECCIO" VARCHAR2(45 BYTE), 
	"CODI_POSTAL" VARCHAR2(45 BYTE), 
	"POBLACIO" VARCHAR2(45 BYTE), 
	"PROVINCIA" VARCHAR2(45 BYTE), 
	"TELEFON" VARCHAR2(45 BYTE), 
	"EMAIL" VARCHAR2(45 BYTE), 
	"WEB" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table REGALS
--------------------------------------------------------

  CREATE TABLE "REGALS"."REGALS" 
   (	"ID" NUMBER(11,0), 
	"ID_EVENT" NUMBER(11,0), 
	"ID_DESIG" NUMBER(11,0), 
	"CODI_ESTAT" VARCHAR2(15 BYTE) DEFAULT 1, 
	"IMPORT_ACUMULAT" FLOAT(126) DEFAULT 0, 
	"IMPOST" FLOAT(126), 
	"ID_ENTREGAR_A" NUMBER(11,0), 
	"IMPORT_RESTANT" FLOAT(126)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table REGALS_ESTAT
--------------------------------------------------------

  CREATE TABLE "REGALS"."REGALS_ESTAT" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TABLA_LOG
--------------------------------------------------------

  CREATE TABLE "REGALS"."TABLA_LOG" 
   (	"DATA" DATE, 
	"NOM_PROCEDIMENT" VARCHAR2(60 BYTE), 
	"PARAMETRES_ENTRADA" VARCHAR2(200 BYTE), 
	"PARAMETRES_SORTIDA" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TRANSACCIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."TRANSACCIONS" 
   (	"ID" NUMBER(11,0), 
	"DATA" DATE, 
	"ID_USUARI" NUMBER(11,0), 
	"ID_REGAL" NUMBER(11,0), 
	"CODI_MOD_PAGAMENT" VARCHAR2(15 BYTE), 
	"IMPORT" FLOAT(126), 
	"DEVOLUCIO" FLOAT(30) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table USUARIS
--------------------------------------------------------

  CREATE TABLE "REGALS"."USUARIS" 
   (	"ID" NUMBER(11,0), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"NOM" VARCHAR2(50 BYTE), 
	"DIRECCIO" VARCHAR2(45 BYTE), 
	"CODI_POSTAL" VARCHAR2(5 BYTE), 
	"POBLACIO" VARCHAR2(45 BYTE), 
	"PROVINCIA" VARCHAR2(45 BYTE), 
	"DATA_ALTA" DATE, 
	"DATA_MODIFICACIO" DATE, 
	"DATA_BAIXA" DATE, 
	"DATA_NAIXEMENT" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LIB_DYN_QUERIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_DYN_QUERIES" 
   (	"LIB_DYN_QUERY_ID" VARCHAR2(40 BYTE), 
	"LIB_DYN_QUERY_NAME" VARCHAR2(120 BYTE), 
	"LIB_DYN_QUERY_CLASS" VARCHAR2(120 BYTE), 
	"LIB_DYN_QUERY" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_DYN_QUERY") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_STARTUPS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_STARTUPS" 
   (	"LIB_STARTUP_ID" VARCHAR2(40 BYTE), 
	"LIB_STARTUP_NAME" VARCHAR2(120 BYTE), 
	"LIB_STARTUP_CLASS" VARCHAR2(120 BYTE), 
	"LIB_STARTUP" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_STARTUP") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_TEARDOWNS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_TEARDOWNS" 
   (	"LIB_TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"LIB_TEARDOWN_NAME" VARCHAR2(120 BYTE), 
	"LIB_TEARDOWN_CLASS" VARCHAR2(120 BYTE), 
	"LIB_TEARDOWN" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_TEARDOWN") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_VALIDATIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_VALIDATIONS" 
   (	"LIB_VALIDATION_ID" VARCHAR2(40 BYTE), 
	"LIB_VALIDATION_NAME" VARCHAR2(120 BYTE), 
	"LIB_VALIDATION_CLASS" VARCHAR2(120 BYTE), 
	"LIB_VALIDATION" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_VALIDATION") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_CATEGORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_CATEGORIES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_DATATYPES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_DATATYPES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"CAT_ID" VARCHAR2(40 BYTE), 
	"TYPE_ID" NUMBER, 
	"TYPE_STRING" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_VALUES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_VALUES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"DATA_ID" VARCHAR2(40 BYTE), 
	"VALUE" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_METADATA
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_METADATA" 
   (	"NAME" VARCHAR2(120 BYTE), 
	"VALUE" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_STARTUPS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_STARTUPS" 
   (	"STARTUP_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"STARTUP" CLOB, 
	"LIB_STARTUP_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("STARTUP") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_SUITE
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE" 
   (	"UT_SID" VARCHAR2(40 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"NAME" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_ITEM_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" 
   (	"UTSR_ID" VARCHAR2(40 BYTE), 
	"UTR_ID" VARCHAR2(40 BYTE), 
	"UTR_NSID" VARCHAR2(40 BYTE), 
	"SEQUENCE" NUMBER, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_ITEMS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_ITEMS" 
   (	"UT_SID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_NSID" VARCHAR2(40 BYTE), 
	"RUN_START" VARCHAR2(1 BYTE), 
	"RUN_TEAR" VARCHAR2(1 BYTE), 
	"SEQUENCE" NUMBER, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_RESULTS" 
   (	"UTSR_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_STATUS" VARCHAR2(20 BYTE), 
	"STARTUP_MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_START_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_END_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_DURATION" NUMBER, 
	"TEARDOWN_STATUS" VARCHAR2(20 BYTE), 
	"TEARDOWN_MESSAGE" VARCHAR2(2000 BYTE), 
	"TEARDOWN_START_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_END_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_DURATION" NUMBER, 
	"COVERAGE" NUMBER(1,0), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEARDOWNS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEARDOWNS" 
   (	"TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"TEARDOWN" CLOB, 
	"LIB_TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("TEARDOWN") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST" 
   (	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"OBJECT_NAME" VARCHAR2(120 BYTE), 
	"OBJECT_TYPE" VARCHAR2(120 BYTE), 
	"OBJECT_OWNER" VARCHAR2(120 BYTE), 
	"OBJECT_CALL" VARCHAR2(120 BYTE), 
	"CONNECTION_NAME" VARCHAR2(120 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_ARGUMENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_ARGUMENTS" 
   (	"ARG_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"OWNER" VARCHAR2(30 BYTE), 
	"OBJECT_NAME" VARCHAR2(30 BYTE), 
	"PACKAGE_NAME" VARCHAR2(30 BYTE), 
	"OBJECT_ID" NUMBER, 
	"OVERLOAD" VARCHAR2(40 BYTE), 
	"ARGUMENT_NAME" VARCHAR2(30 BYTE), 
	"POSITION" NUMBER, 
	"SEQUENCE" NUMBER, 
	"DATA_LEVEL" NUMBER, 
	"DATA_TYPE" VARCHAR2(30 BYTE), 
	"DEFAULT_LENGTH" NUMBER, 
	"IN_OUT" VARCHAR2(9 BYTE), 
	"DATA_LENGTH" NUMBER, 
	"DATA_PRECISION" NUMBER, 
	"DATA_SCALE" NUMBER, 
	"RADIX" NUMBER, 
	"CHARACTER_SET_NAME" VARCHAR2(44 BYTE), 
	"TYPE_OWNER" VARCHAR2(30 BYTE), 
	"TYPE_NAME" VARCHAR2(30 BYTE), 
	"TYPE_SUBNAME" VARCHAR2(30 BYTE), 
	"TYPE_LINK" VARCHAR2(128 BYTE), 
	"PLS_TYPE" VARCHAR2(30 BYTE), 
	"CHAR_LENGTH" NUMBER, 
	"CHAR_USED" VARCHAR2(1 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_COVERAGE_STATS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_COVERAGE_STATS" 
   (	"UTC_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"UNIT_OWNER" VARCHAR2(30 BYTE), 
	"UNIT_NAME" VARCHAR2(30 BYTE), 
	"LINE" NUMBER, 
	"TOTAL_OCCUR" NUMBER, 
	"TOTAL_TIME" NUMBER, 
	"TEXT" VARCHAR2(4000 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL" 
   (	"UTI_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"EXPECTED_RETURN" VARCHAR2(20 BYTE), 
	"EXPECTED_RETURN_ERROR" VARCHAR2(200 BYTE), 
	"DYNAMIC_VALUE_QUERY" CLOB, 
	"LIB_DYN_QUERY_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("DYNAMIC_VALUE_QUERY") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_ARG_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" 
   (	"UTIAR_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"ARG_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_ARGUMENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" 
   (	"UTI_ID" VARCHAR2(40 BYTE), 
	"ARG_ID" VARCHAR2(40 BYTE), 
	"INPUT_VALUE" CLOB, 
	"OUTPUT_VALUE" CLOB, 
	"TEST_OUTVAL" NUMBER(1,0) DEFAULT 1, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("INPUT_VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) 
 LOB ("OUTPUT_VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_RESULTS" 
   (	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"UTR_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"START_TIME" VARCHAR2(20 BYTE), 
	"END_TIME" VARCHAR2(20 BYTE), 
	"DURATION" NUMBER, 
	"STARTUP_STATUS" VARCHAR2(20 BYTE), 
	"STARTUP_MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_START_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_END_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_DURATION" NUMBER, 
	"OP_CALL_STATUS" VARCHAR2(20 BYTE), 
	"OP_CALL_MESSAGE" VARCHAR2(2000 BYTE), 
	"OP_CALL_START_TIME" VARCHAR2(20 BYTE), 
	"OP_CALL_END_TIME" VARCHAR2(20 BYTE), 
	"OP_CALL_DURATION" NUMBER, 
	"TEARDOWN_STATUS" VARCHAR2(20 BYTE), 
	"TEARDOWN_MESSAGE" VARCHAR2(2000 BYTE), 
	"TEARDOWN_START_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_END_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_DURATION" NUMBER, 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_VAL_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" 
   (	"UTIVR_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"VAL_ID" VARCHAR2(40 BYTE), 
	"VAL_TYPE" VARCHAR2(40 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"VAL_START_TIME" VARCHAR2(20 BYTE), 
	"VAL_END_TIME" VARCHAR2(20 BYTE), 
	"VAL_DURATION" NUMBER, 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_RESULTS" 
   (	"UTR_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"TEST_USER_NAME" VARCHAR2(120 BYTE), 
	"CONNECTION_NAME" VARCHAR2(120 BYTE), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_VALIDATIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_VALIDATIONS" 
   (	"VALIDATION_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"VALIDATION" CLOB, 
	"LIB_VALIDATION_ID" VARCHAR2(40 BYTE), 
	"APPLY_VALIDATION" NUMBER(1,0) DEFAULT 1, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("VALIDATION") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
REM INSERTING into REGALS.ARTICLES
SET DEFINE OFF;
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','1','fifa 14 (ps3)','59','1','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','2','tomb raider" en busca la reina" (ps3)','55','1','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','3','call duty (ps3)','54','1','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','4','pro evolution 14 (ps3)','54','1','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','5','casa diez','5','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','6','muy interesante','12','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','7','muebles','15','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','8','ser padres','13','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','9','ole','2','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','10','pais','3','2','21');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','11','sau','6','5','4');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('2','2','12','futbol','8','5','4');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('2','2','13','archivador','3','4','4');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('2','2','14','organitzador de calaix','5','4','4');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('2','2','15','llapis de colors','15','4','4');
Insert into REGALS.ARTICLES (CODI_PROVEIDOR,REF_CATALEG,CODI,DESCRIPCIO,PREU,CODI_CATEGORIA,CODI_IMPOST) values ('1','1','16',' trigologia de jocs de guerra (ps3)','200','1','21');
REM INSERTING into REGALS.CATALEGS
SET DEFINE OFF;
Insert into REGALS.CATALEGS (CODI_PROVEIDOR,REFERENCIA,DESCRIPCIO) values ('1','1','NICEQUEST');
Insert into REGALS.CATALEGS (CODI_PROVEIDOR,REFERENCIA,DESCRIPCIO) values ('2','2','la llar de la casa');
Insert into REGALS.CATALEGS (CODI_PROVEIDOR,REFERENCIA,DESCRIPCIO) values ('3','3','todo cocina');
REM INSERTING into REGALS.CATEGORIES
SET DEFINE OFF;
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('1','VIDEOJOCS');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('2','REVISTES');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('3','PETITS ELECTRODOMESTICS');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('4','OFICINA I VIATGE');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('5','MUSICA');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('6','LLIBRES I COMICS');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('7','ELECTRONICA');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('8','DEPORTS');
Insert into REGALS.CATEGORIES (CODI,DESCRIPCIO) values ('9','CURSOS ONLINES');
REM INSERTING into REGALS.DEDICATORIES
SET DEFINE OFF;
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('41','241','2','espero que passis un bon aniversari');
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('42','241','3','que tinguis un bon dia');
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('43','241','4','ja ens veurem despres');
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('44','242','12','que tinguis un bon casament');
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('46','242','13','quin gran dia');
Insert into REGALS.DEDICATORIES (ID,ID_EVENT,ID_USUARI,MISSATGE) values ('47','242','14','tin ganes de que sigui el dia del casament');
REM INSERTING into REGALS.DESITJOS
SET DEFINE OFF;
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('164','1','1','1','2','que guay',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('165','1','1','1','3','mmmm m''encanta',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('168','11','1','1','9','quina gran il.lusio',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('169','11','1','1','10','algun dia espero tenir-ho',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('179','3','1','1','4','prova test',to_date('14/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('167','11','1','1','8','m''''''''agradaria molt',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('162','1','1','1','1','m''''agradaria molt',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.DESITJOS (ID,ID_USUARI,CODI_PROV,REF_CATALEG,CODI_ARTICLE,OBSERVACIONS,DATA_ALTA) values ('166','11','1','1','7','m''agradaria',to_date('13/06/14','DD/MM/RR'));
REM INSERTING into REGALS.ESTD_PARTICIPANT
SET DEFINE OFF;
Insert into REGALS.ESTD_PARTICIPANT (ANYS_MES,PARTICIPANT_MES_REGALS,PARTICIPANT_MES_DESPESA,PARTICIPANT_MES_PARTICIPAT,GRUP_MES_DESPESA) values ('201406','6','14','11','241');
REM INSERTING into REGALS.ESTD_PRODUCTE
SET DEFINE OFF;
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','1','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','7','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','8','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','9','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','10','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','2','1');
Insert into REGALS.ESTD_PRODUCTE (ANYS,PRODUCTE,MAX_VEGADES_REGALAT) values ('2014','3','1');
REM INSERTING into REGALS.ESTD_REGAL
SET DEFINE OFF;
Insert into REGALS.ESTD_REGAL (ANYS,NUMERO_REGALS_ADQUIRIT,IMPORT_TOTAL_REGALS,PERCENTATGE_REGAL_ASSOLIT,MITJA_DESPESA_REGALS_PARTICI) values ('2014','9','149','100','16,56');
REM INSERTING into REGALS.EVENTS
SET DEFINE OFF;
Insert into REGALS.EVENTS (ID,DATA_ALTA,CODI_TIPUS_EVENT,ID_HOMENATJAT,DATA_LIMIT,MOSTRAR_IMPORT_INDIV) values ('282',to_date('15/06/14','DD/MM/RR'),'2','9',to_date('15/09/14','DD/MM/RR'),'n');
Insert into REGALS.EVENTS (ID,DATA_ALTA,CODI_TIPUS_EVENT,ID_HOMENATJAT,DATA_LIMIT,MOSTRAR_IMPORT_INDIV) values ('241',to_date('13/06/14','DD/MM/RR'),'1','1',to_date('13/08/14','DD/MM/RR'),'n');
Insert into REGALS.EVENTS (ID,DATA_ALTA,CODI_TIPUS_EVENT,ID_HOMENATJAT,DATA_LIMIT,MOSTRAR_IMPORT_INDIV) values ('242',to_date('13/06/14','DD/MM/RR'),'3','11',to_date('13/09/14','DD/MM/RR'),'n');
REM INSERTING into REGALS.EVENTS_PARTICIPANTS
SET DEFINE OFF;
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','4',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','2',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','6',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','7',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','8',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','9',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','10',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','5',to_date('13/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('282','11',to_date('15/06/14','DD/MM/RR'));
Insert into REGALS.EVENTS_PARTICIPANTS (ID_EVENT,ID_USUARI,DATA_ALTA) values ('241','3',to_date('13/06/14','DD/MM/RR'));
REM INSERTING into REGALS.EVENTS_TIPUS
SET DEFINE OFF;
Insert into REGALS.EVENTS_TIPUS (CODI,DESCRIPCIO) values ('1','aniversari');
Insert into REGALS.EVENTS_TIPUS (CODI,DESCRIPCIO) values ('2','nadal');
Insert into REGALS.EVENTS_TIPUS (CODI,DESCRIPCIO) values ('3','casament');
Insert into REGALS.EVENTS_TIPUS (CODI,DESCRIPCIO) values ('4','reis');
REM INSERTING into REGALS.IMPOSTOS
SET DEFINE OFF;
Insert into REGALS.IMPOSTOS (CODI,DESCRIPCIO,VALOR) values ('4','iva 4%','0,04');
Insert into REGALS.IMPOSTOS (CODI,DESCRIPCIO,VALOR) values ('8','iva 8%','0,08');
Insert into REGALS.IMPOSTOS (CODI,DESCRIPCIO,VALOR) values ('21','iva 21%','0,21');
REM INSERTING into REGALS.MODES_PAGAMENT
SET DEFINE OFF;
Insert into REGALS.MODES_PAGAMENT (CODI,DESCRIPCIO) values ('1','NUMERO DE COMPTE BANCARI');
Insert into REGALS.MODES_PAGAMENT (CODI,DESCRIPCIO) values ('2','NUMERO TARGETA DE CREDIT');
Insert into REGALS.MODES_PAGAMENT (CODI,DESCRIPCIO) values ('3','COMPTE PAYPAL');
REM INSERTING into REGALS.PROVEIDORS
SET DEFINE OFF;
Insert into REGALS.PROVEIDORS (CODI,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,TELEFON,EMAIL,WEB) values ('1','rafael','calle marmota','43206','reus','tarragona','873421342','rafael1@yahoo.es','www.juegos.com');
Insert into REGALS.PROVEIDORS (CODI,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,TELEFON,EMAIL,WEB) values ('2','emilio','calle   barcelona','08420','barcelona','barcelona','768594637','emilio1@hotmail.com','www.todoEncasa.es');
Insert into REGALS.PROVEIDORS (CODI,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,TELEFON,EMAIL,WEB) values ('3','jose maria','calle salamanca','92837','lleida','lleida','23498645','jose_maria@hotmail.com','www.soloCasa.es');
REM INSERTING into REGALS.REGALS
SET DEFINE OFF;
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('482','241','162','1','46','21','10','13');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('485','242','166','1','10','21','20','5');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('486','242','167','1','10','21','20','3');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('487','242','168','4','2','21','20','0');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('488','242','169','6','3','21','20','0');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('483','241','164','1','24','21','10','31');
Insert into REGALS.REGALS (ID,ID_EVENT,ID_DESIG,CODI_ESTAT,IMPORT_ACUMULAT,IMPOST,ID_ENTREGAR_A,IMPORT_RESTANT) values ('484','241','165','4','54','21','10','0');
REM INSERTING into REGALS.REGALS_ESTAT
SET DEFINE OFF;
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('1','AFEGIT_A_UN_GRUP');
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('2','ELIMINAT');
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('3','NO_SUFICIENTS_FONS');
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('4','PAGAMENT_COMPLETAT');
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('5','ENVIAT');
Insert into REGALS.REGALS_ESTAT (CODI,DESCRIPCIO) values ('6','REBUT');
REM INSERTING into REGALS.TABLA_LOG
SET DEFINE OFF;
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 2 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','500 # 3 # 13/06/14','ERROR ADD_PAR_EV_03: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 4 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 5 # 16/06/14','ERROR ADD_PAR_EV_02: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 6 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 7 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 8 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 9 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 10 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 5 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','5000 # 1 # 1 # 2 # m''agradaria molt # 13/06/14','ERROR ADD_RE_DESIT_02: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','1 # 1 # 1 # 2 # que guay # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','1 # 1 # 1 # 3 # mmmm m''encanta # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_event','13/06/14 # 1','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','241 # 1 # 21 # 10','ERROR: ORA-01400: cannot insert NULL into ("REGALS"."REGALS"."IMPORT_RESTANT")');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','241 # 162 # 21 # 10',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 2 # 482 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 3 # 482 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 4 # 483 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 5 # 484 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 6 # 482 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 8 # 484 # 1 # 40','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 9 # 484 # 1 # 10','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 9 # 484 # 1 # 10','Error ADD_DEVOLUCIO -8');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 10 # 482 # 1 # 10','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_event','13/06/14 # 3','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','11 # 1 # 1 # 9 # quina gran il.lusio # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','11 # 1 # 1 # 10 # algun dia espero tenir-ho # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','242 # 166 # 21 # 20',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','242 # 167 # 21 # 20',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','242 # 168 # 21 # 20',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','242 # 169 # 21 # 20',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','242 # 170 # 21 # 20','ERROR: ORA-01400: cannot insert NULL into ("REGALS"."REGALS"."IMPORT_RESTANT")');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 13 # 486 # 1 # 10','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 14 # 487 # 1 # 100','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 14 # 487 # 1 # 100','Error ADD_DEVOLUCIO -98');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 2 # 12 # test # 14/06/14','ERROR ADD_RE_DESIT_02: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 1 # 6 # test # 14/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 1 # 6 # test # 14/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 1 # 6 # test # 14/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 2 # 12 # test # 14/06/14','ERROR ADD_RE_DESIT_02: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regal_event','242 # 179 # 21 # 10',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regal_event','242 # 179 # 21 # 10',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','1 # 1 # 1 # 1 # m''''agradaria molt # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','241 # 164 # 21 # 10',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regal_event','241 # 165 # 21 # 10',' OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 7 # 483 # 1 # 12','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 8 # 500 # 1 # 12','ERROR ADD_TRANS_RE_02: ');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_participants_event','241 # 3 # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','11 # 1 # 1 # 7 # m''agradaria # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_regals_desitjats','11 # 1 # 1 # 8 # m''''''''agradaria molt # 13/06/14','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('13/06/14','DD/MM/RR'),'add_transaccions_regals','13/06/14 # 12 # 485 # 1 # 10','OK');
Insert into REGALS.TABLA_LOG (DATA,NOM_PROCEDIMENT,PARAMETRES_ENTRADA,PARAMETRES_SORTIDA) values (to_date('14/06/14','DD/MM/RR'),'add_regals_desitjats','61 # 1 # 2 # 12 # test # 14/06/14','ERROR ADD_RE_DESIT_02: ');
REM INSERTING into REGALS.TRANSACCIONS
SET DEFINE OFF;
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('521',to_date('13/06/14','DD/MM/RR'),'2','482','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('522',to_date('13/06/14','DD/MM/RR'),'3','482','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('523',to_date('13/06/14','DD/MM/RR'),'4','483','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('524',to_date('13/06/14','DD/MM/RR'),'5','484','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('525',to_date('13/06/14','DD/MM/RR'),'6','482','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('528',to_date('13/06/14','DD/MM/RR'),'8','484','1','40','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('529',to_date('13/06/14','DD/MM/RR'),'9','484','1','10','-8');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('530',to_date('13/06/14','DD/MM/RR'),'10','482','1','10','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('532',to_date('13/06/14','DD/MM/RR'),'13','486','1','10','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('533',to_date('13/06/14','DD/MM/RR'),'14','487','1','100','-98');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('526',to_date('13/06/14','DD/MM/RR'),'7','483','1','12','0');
Insert into REGALS.TRANSACCIONS (ID,DATA,ID_USUARI,ID_REGAL,CODI_MOD_PAGAMENT,IMPORT,DEVOLUCIO) values ('531',to_date('13/06/14','DD/MM/RR'),'12','485','1','10','0');
REM INSERTING into REGALS.USUARIS
SET DEFINE OFF;
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('1','joan@hotmail.com','joan','carrer barcelona','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('2','pere@hotmail.com','pere','carrer cavallers','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('3','david@hotmail.com','david','carrer generalitat','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('4','xavier@hotmail.com','xavier','carrer  most','08770','sant sadurni d''anoia','barcelona',to_date('03/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('5','rafa@hotmail.com','rafa','carrer victoria','08720','vilafranca del penedes','barcelona',to_date('04/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('6','miquel@hotmail.com','miquel','carrer girada','08720','vilafranca del penedes','barcelona',to_date('04/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('21','amador@yahoo@.com','amador','carrer  vi','08800','vilanova i la geltru','barcelona',to_date('07/01/14','DD/MM/RR'),to_date('17/02/75','DD/MM/RR'),null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('10','marta@hotmail.com','marta','carrer barceloneta','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('8','sara@hotmail.com','sara','carrer catala','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('9','mireia@hotmail.com','mireia','carrer terra','08770','sant sadurni d''anoia','barcelona',to_date('01/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('20','ricard@hotmail.com','ricard','carrer sala','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('11','maria@hotmail.com','maria','carrer atmella','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('12','rosa@hotmail.com','rosa','carrer viladrau','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('13','ana@hotmail.com','ana','carrer lluna','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('15','eva@hotmail.com','eva','carrer atmella','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('16','lidia@hotmail.com','lidia','carrer taula','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('18','felix@hotmail.com','felix','carrer vela','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('19','pablo@hotmail.com','pablo','carrer goma','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('14','toni@hotmail.com','toni','carrer atmella','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('17','andresi@hotmail.com','andres','carrer salmo','08770','tarragona','tarragona',to_date('10/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('25','manel@hotmail.com','manel','carrer montanya','08890','arres','lleida',to_date('11/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('26','monica@hotmail.com','monica','carrer aigua','08810','puigcerda','lleida',to_date('11/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('7','david@yahoo@.com','david','carrer valencia','08780','reus','tarragona',to_date('05/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('43','anna1@hotmail.com','anna','carrer ','08810','puigcerda','lleida',to_date('12/01/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('61','felixj@hotmail.com','felix','carrer mar','09900','la munia','barcelona',to_date('20/02/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('62','joseptu@hotmail.com','josep','carrer generalitat','09900','la munia','barcelona',to_date('20/02/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('63','peremas@hotmail.com','pere','carrer santa fe','07000','la bisbal','tarragona',to_date('20/02/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('64','ignasius@hotmail.com','ignasi','carrer miret','08000','santa fe','barcelona',to_date('20/02/14','DD/MM/RR'),null,null,null);
Insert into REGALS.USUARIS (ID,EMAIL,NOM,DIRECCIO,CODI_POSTAL,POBLACIO,PROVINCIA,DATA_ALTA,DATA_MODIFICACIO,DATA_BAIXA,DATA_NAIXEMENT) values ('65','davidma@hotmail.com','david','carrer penea','08770','tarragona','tarragona',to_date('20/02/14','DD/MM/RR'),null,null,null);
REM INSERTING into REGALS.UT_LIB_DYN_QUERIES
SET DEFINE OFF;
REM INSERTING into REGALS.UT_LIB_STARTUPS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_LIB_TEARDOWNS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_LIB_VALIDATIONS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_LOOKUP_CATEGORIES
SET DEFINE OFF;
Insert into REGALS.UT_LOOKUP_CATEGORIES (ID,NAME,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('AAbcAAbc123123abab','DEFAULT',to_timestamp('01/06/14 19:03:27,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:03:27,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_LOOKUP_DATATYPES
SET DEFINE OFF;
REM INSERTING into REGALS.UT_LOOKUP_VALUES
SET DEFINE OFF;
REM INSERTING into REGALS.UT_METADATA
SET DEFINE OFF;
Insert into REGALS.UT_METADATA (NAME,VALUE) values ('VERSION','20');
REM INSERTING into REGALS.UT_STARTUPS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_SUITE
SET DEFINE OFF;
REM INSERTING into REGALS.UT_SUITE_ITEM_RESULTS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_SUITE_ITEMS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_SUITE_RESULTS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_TEARDOWNS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_TEST
SET DEFINE OFF;
Insert into REGALS.UT_TEST (UT_ID,NAME,OBJECT_NAME,OBJECT_TYPE,OBJECT_OWNER,OBJECT_CALL,CONNECTION_NAME,COVERAGE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','ADD_REGAL_EVENT','ADD_REGAL_EVENT','PROCEDURE','REGALS',null,'IdeConnections%23regals','0',to_timestamp('01/06/14 19:07:32,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:32,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST (UT_ID,NAME,OBJECT_NAME,OBJECT_TYPE,OBJECT_OWNER,OBJECT_CALL,CONNECTION_NAME,COVERAGE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','ADD_REGAL_EVENT','PROCEDURE','REGALS',null,'IdeConnections%23regals','0',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_ARGUMENTS
SET DEFINE OFF;
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('5c999ae0-0503-4eea-8a4b-1beb24df2b18','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_EVENT','1','1','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('919f5090-b409-42cf-ad5b-df55bc07f6fb','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_DESIG','2','2','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('87b74784-8b50-4a11-b2ea-7eff3d740193','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_IMPOST','3','3','0','FLOAT',null,'IN','22','126','-127','10',null,null,null,null,null,'FLOAT','0','0',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('1ea9340b-17c4-4e69-b8a8-037d6ac4f7f1','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_ENTREGAR_A','4','4','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('73ffc036-17b5-4a4f-b960-3c554a4b0822','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','REGALS','ADD_REGAL_EVENT',null,'20430',null,'RSP','5','5','0','VARCHAR2',null,'OUT',null,null,null,null,'CHAR_CS',null,null,null,null,'VARCHAR2',null,'B',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('1133a7d8-81d6-463c-8305-30e78325353a','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_EVENT','1','1','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_DESIG','2','2','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_IMPOST','3','3','0','FLOAT',null,'IN','22','126','-127','10',null,null,null,null,null,'FLOAT','0','0',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('cee0393a-b7c1-4815-87a4-9eadaec23c07','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','REGALS','ADD_REGAL_EVENT',null,'20430',null,'P_ID_ENTREGAR_A','4','4','0','NUMBER',null,'IN','22',null,null,'10',null,null,null,null,null,'NUMBER','0','0',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_ARGUMENTS (ARG_ID,UT_ID,OWNER,OBJECT_NAME,PACKAGE_NAME,OBJECT_ID,OVERLOAD,ARGUMENT_NAME,POSITION,SEQUENCE,DATA_LEVEL,DATA_TYPE,DEFAULT_LENGTH,IN_OUT,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,RADIX,CHARACTER_SET_NAME,TYPE_OWNER,TYPE_NAME,TYPE_SUBNAME,TYPE_LINK,PLS_TYPE,CHAR_LENGTH,CHAR_USED,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','REGALS','ADD_REGAL_EVENT',null,'20430',null,'RSP','5','5','0','VARCHAR2',null,'OUT',null,null,null,null,'CHAR_CS',null,null,null,null,'VARCHAR2',null,'B',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_COVERAGE_STATS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_TEST_IMPL
SET DEFINE OFF;
Insert into REGALS.UT_TEST_IMPL (UTI_ID,UT_ID,NAME,EXPECTED_RETURN,EXPECTED_RETURN_ERROR,LIB_DYN_QUERY_ID,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','Implantacin de Prueba 1','Correcto','CUALQUIERA',null,to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL (UTI_ID,UT_ID,NAME,EXPECTED_RETURN,EXPECTED_RETURN_ERROR,LIB_DYN_QUERY_ID,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','Implantacin de Prueba 1','Excepcin','-2291',null,to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_IMPL_ARG_RESULTS
SET DEFINE OFF;
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('17f13098-9a56-43cf-bc34-43d205ed25ea','e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','5c999ae0-0503-4eea-8a4b-1beb24df2b18','P_ID_EVENT','NONE','Valor: [121]',to_timestamp('01/06/14 19:07:53,386000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('ff58618c-b5de-4f50-8aa1-2a0c57d374d6','e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','919f5090-b409-42cf-ad5b-df55bc07f6fb','P_ID_DESIG','NONE','Valor: [6]',to_timestamp('01/06/14 19:07:53,386000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('34acb1f6-0be0-4dda-b041-af8d67eafd25','e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','87b74784-8b50-4a11-b2ea-7eff3d740193','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:07:53,418000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('5aafaf32-1101-4f62-b89a-6a468a51fd9a','e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','1ea9340b-17c4-4e69-b8a8-037d6ac4f7f1','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('01/06/14 19:07:53,418000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('d01cfdf6-2989-48f8-9806-8122f37b1667','e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','73ffc036-17b5-4a4f-b960-3c554a4b0822','RSP','UT_SUCCESS','Esperado: [null], recibido: [null]',to_timestamp('01/06/14 19:07:53,464000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('e5bf5042-af73-4753-bb10-03b84e7e41a6','8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','P_ID_EVENT','NONE','Valor: [500]',to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('9914be9d-1047-4e05-a6d7-6705c740542c','8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','P_ID_DESIG','NONE','Valor: [81]',to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('2812717e-7295-4526-9ea3-87661bcf9d09','8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('d84bde16-1529-4d2b-a8d5-c3d795ab7cc0','8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('c5477c1b-d3d2-4d9c-8c00-6563f52b91ed','8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','RSP','UT_SUCCESS','Esperado: [null], recibido: [null]',to_timestamp('01/06/14 19:16:21,568000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('b7e9cfe3-3337-4b59-b3d6-913cf16ec900','54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','P_ID_EVENT','NONE','Valor: [500]',to_timestamp('01/06/14 19:20:04,508000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('ede738c2-09ba-40d2-9d4b-9bca3a8bc149','54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','P_ID_DESIG','NONE','Valor: [81]',to_timestamp('01/06/14 19:20:04,524000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('4350d08c-058b-4c91-b591-8fb8a52549d6','54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:20:04,524000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('24986dfd-382a-4e46-9275-869b86d2212d','54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('01/06/14 19:20:04,524000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('fa55efb2-404f-4b72-a6bc-d09e1410841c','54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','RSP','UT_SUCCESS','Esperado: [null], recibido: [null]',to_timestamp('01/06/14 19:20:04,540000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('4b714e47-b619-418e-a4c5-b61ed00c34db','397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','P_ID_EVENT','NONE','Valor: [500]',to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('8ebfe33f-1fb3-48a3-a37a-41e2ca8070e3','397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','P_ID_DESIG','NONE','Valor: [81]',to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('a767e624-4db6-4492-8eed-aea3ea143af7','397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('167fe873-40c7-4a14-8265-4fc8123515aa','397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('fc8f437c-da51-4e50-970b-b7bc3c41fb81','397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','RSP','UT_ERROR','Esperado: [ERROR ADD_RE_EV_01:], recibido: [null]',to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('b0879733-9bb9-408c-badc-bb74f1ea81dc','8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','P_ID_EVENT','NONE','Valor: [500]',to_timestamp('01/06/14 19:24:08,270000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('207213da-b274-4cb8-8e14-b7496fd29c12','8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','P_ID_DESIG','NONE','Valor: [81]',to_timestamp('01/06/14 19:24:08,286000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('9b733102-b8cb-46e6-80d8-bb5a6936e97c','8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:24:08,286000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('c9b45a13-8d08-449e-b5b8-df0c80522cd5','8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('01/06/14 19:24:08,286000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('6129ccc2-0969-46a3-97a3-2ff936332d95','8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','RSP','UT_WARNING','Esperado: [Cualquier valor porque se ha limpiado la comprobacin de aplicacin], recibido: [null]',to_timestamp('01/06/14 19:24:08,286000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('20a7fd30-427b-4d81-8b1b-0dbd1abb17a1','adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','P_ID_EVENT','NONE','Valor: [121]',to_timestamp('01/06/14 19:27:35,426000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('fe14bc0d-72ae-4796-9e0e-9b3d60502d09','adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','P_ID_DESIG','NONE','Valor: [81]',to_timestamp('01/06/14 19:27:35,426000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('e873e527-16d3-494e-a0dd-47e48566c9f6','adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','P_IMPOST','NONE','Valor: [21]',to_timestamp('01/06/14 19:27:35,426000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('ed6a2154-8cf6-46a8-85ea-0f1c56c0beb2','adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','P_ID_ENTREGAR_A','NONE','Valor: [600]',to_timestamp('01/06/14 19:27:35,426000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('25dcaa3f-d1d5-4680-9b86-f3cca3653cd1','adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','RSP','UT_ERROR','Esperado: [ERROR ADD_RE_EV_01:], recibido: [null]',to_timestamp('01/06/14 19:27:35,442000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('f7ba31b5-1a76-490f-9b16-9c89cb5dc43a','d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','5c999ae0-0503-4eea-8a4b-1beb24df2b18','P_ID_EVENT','NONE','Valor: [121]',to_timestamp('06/06/14 00:33:48,675000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('99186586-c1ed-423d-b961-0f622a24a079','d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','919f5090-b409-42cf-ad5b-df55bc07f6fb','P_ID_DESIG','NONE','Valor: [6]',to_timestamp('06/06/14 00:33:48,831000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('03766ef3-9388-40f9-9e9e-d4b8736a8810','d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','87b74784-8b50-4a11-b2ea-7eff3d740193','P_IMPOST','NONE','Valor: [21]',to_timestamp('06/06/14 00:33:48,878000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('a0335df3-50da-4fb9-930a-87dd2fd301ad','d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','1ea9340b-17c4-4e69-b8a8-037d6ac4f7f1','P_ID_ENTREGAR_A','NONE','Valor: [6]',to_timestamp('06/06/14 00:33:48,878000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARG_RESULTS (UTIAR_ID,UTIR_ID,UTI_ID,ARG_ID,NAME,STATUS,MESSAGE,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('b4949e61-6b49-4574-b7de-5ae13d1e7431','d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','73ffc036-17b5-4a4f-b960-3c554a4b0822','RSP','UT_SUCCESS','Esperado: [null], recibido: [null]',to_timestamp('06/06/14 00:33:49,628000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:49,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:49,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_IMPL_ARGUMENTS
SET DEFINE OFF;
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','87b74784-8b50-4a11-b2ea-7eff3d740193','1',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','1ea9340b-17c4-4e69-b8a8-037d6ac4f7f1','1',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','5c999ae0-0503-4eea-8a4b-1beb24df2b18','1',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','73ffc036-17b5-4a4f-b960-3c554a4b0822','1',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','919f5090-b409-42cf-ad5b-df55bc07f6fb','1',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:33,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','602e28d6-e5f0-4dc0-ba64-2d8a60ff12a3','1',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','f4e9f5c9-dfca-4b4d-b3cf-6616cb0dc438','1',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','cee0393a-b7c1-4815-87a4-9eadaec23c07','1',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','1133a7d8-81d6-463c-8305-30e78325353a','1',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_ARGUMENTS (UTI_ID,ARG_ID,TEST_OUTVAL,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('3a4f0580-05f6-4619-b2de-59216694baf0','484c0c9e-36a8-48ef-bdbe-437c0a4ff68c','1',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:11,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_IMPL_RESULTS
SET DEFINE OFF;
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('e382fa4d-7d7d-4e98-bcc3-5adb1b2e48f4','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','201b386b-b533-4130-bcfa-0511eb49122f','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:07:53','78',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:07:53','46',null,null,null,null,null,to_timestamp('01/06/14 19:07:53,355000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('8aaad15e-a2ff-4b7f-b37c-e5a707a49359','3a4f0580-05f6-4619-b2de-59216694baf0','7d78fcb1-63c9-4838-ba96-6bd4be5dae08','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [CUALQUIERA], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:16:21','16',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [CUALQUIERA], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:16:21','0',null,null,null,null,null,to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('54f40f39-1362-429e-b558-616fddd12424','3a4f0580-05f6-4619-b2de-59216694baf0','4f4186b5-7880-462a-8f32-c24bb351a7dc','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [ERROR ADD_RE_EV_01], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:20:04','32',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [ERROR ADD_RE_EV_01], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:20:04','0',null,null,null,null,null,to_timestamp('01/06/14 19:20:04,508000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('397f72c0-2b9c-421c-b3c2-c02c6370b514','3a4f0580-05f6-4619-b2de-59216694baf0','edbe755d-148f-4b76-8b4e-32f74d5ae1ed','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:23:10','0',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:23:10','0',null,null,null,null,null,to_timestamp('01/06/14 19:23:10,379000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('8f43ccd8-26bc-4549-8f09-9c78e5a88fb6','3a4f0580-05f6-4619-b2de-59216694baf0','043f2344-8a26-4cc9-9f73-3f9e4797757f','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:24:08','16',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:24:08','0',null,null,null,null,null,to_timestamp('01/06/14 19:24:08,270000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('adcf0eb4-1345-4322-95c0-3538e3457ed8','3a4f0580-05f6-4619-b2de-59216694baf0','1689a749-e10c-47d8-abc1-4d329ee4c6a5','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:27:35','16',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'01-06-2014 19:27:35','0',null,null,null,null,null,to_timestamp('01/06/14 19:27:35,426000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_IMPL_RESULTS (UTIR_ID,UTI_ID,UTR_ID,NAME,STATUS,MESSAGE,START_TIME,END_TIME,DURATION,STARTUP_STATUS,STARTUP_MESSAGE,STARTUP_START_TIME,STARTUP_END_TIME,STARTUP_DURATION,OP_CALL_STATUS,OP_CALL_MESSAGE,OP_CALL_START_TIME,OP_CALL_END_TIME,OP_CALL_DURATION,TEARDOWN_STATUS,TEARDOWN_MESSAGE,TEARDOWN_START_TIME,TEARDOWN_END_TIME,TEARDOWN_DURATION,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('d8d86374-30f8-4b65-b7ce-47755f47cf29','bd5b1c81-cea1-46fa-b465-3e9b8c25f1b9','947cf54e-c1cc-49e6-aca1-dd43003a5a52','Implantacin de Prueba 1','UT_ERROR','Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'06-06-2014 00:33:49','1016',null,null,null,null,null,'UT_ERROR','Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]',null,'06-06-2014 00:33:49','750',null,null,null,null,null,to_timestamp('06/06/14 00:33:48,378000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:48,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_TEST_IMPL_VAL_RESULTS
SET DEFINE OFF;
REM INSERTING into REGALS.UT_TEST_RESULTS
SET DEFINE OFF;
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('201b386b-b533-4130-bcfa-0511eb49122f','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','ADD_REGAL_EVENT','UT_ERROR','ADD_REGAL_EVENT ha fallado: Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:07:53,230000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:07:53,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('7d78fcb1-63c9-4838-ba96-6bd4be5dae08','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','UT_ERROR','ADD_REGAL_EVENT_1 ha fallado: Se esperaba la excepcin: [CUALQUIERA], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:16:21,552000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:16:21,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('4f4186b5-7880-462a-8f32-c24bb351a7dc','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','UT_ERROR','ADD_REGAL_EVENT_1 ha fallado: Se esperaba la excepcin: [ERROR ADD_RE_EV_01], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:20:04,508000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:20:04,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('edbe755d-148f-4b76-8b4e-32f74d5ae1ed','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','UT_ERROR','ADD_REGAL_EVENT_1 ha fallado: Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:23:10,364000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:23:10,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('043f2344-8a26-4cc9-9f73-3f9e4797757f','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','UT_ERROR','ADD_REGAL_EVENT_1 ha fallado: Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:24:08,270000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:24:08,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('1689a749-e10c-47d8-abc1-4d329ee4c6a5','0bda994e-cba3-4d2d-93b8-0ce08a08cbed','ADD_REGAL_EVENT_1','UT_ERROR','ADD_REGAL_EVENT_1 ha fallado: Se esperaba la excepcin: [-2291], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('01/06/14 19:27:35,411000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('01/06/14 19:27:35,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
Insert into REGALS.UT_TEST_RESULTS (UTR_ID,UT_ID,NAME,STATUS,MESSAGE,COVERAGE,TEST_USER_NAME,CONNECTION_NAME,RUN_DATE,CREATED_ON,CREATED_BY,UPDATED_ON,UPDATED_BY) values ('947cf54e-c1cc-49e6-aca1-dd43003a5a52','3502e0b4-ae91-4e3a-90c2-0ff13e6661d1','ADD_REGAL_EVENT','UT_ERROR','ADD_REGAL_EVENT ha fallado: Se esperaba la excepcin: [NONE], Recibida: [6550: ORA-06550: line 2, column 12:
PLS-00302: component ''ADD_REGAL_EVENT'' must be declared
ORA-06550: line 2, column 3:
PL/SQL: Statement ignored
]','0','REGALS','regals',to_timestamp('06/06/14 00:33:47,597000000','DD/MM/RR HH24:MI:SSXFF'),to_timestamp('06/06/14 00:33:47,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS',to_timestamp('06/06/14 00:33:47,000000000','DD/MM/RR HH24:MI:SSXFF'),'REGALS');
REM INSERTING into REGALS.UT_VALIDATIONS
SET DEFINE OFF;
