--------------------------------------------------------
-- Archivo creado  - domingo-junio-15-2014   
--------------------------------------------------------
--------------------------------------------------------
--  Constraints for Table REGALS
--------------------------------------------------------

  ALTER TABLE "REGALS"."REGALS" MODIFY ("IMPORT_RESTANT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("IMPOST" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("IMPORT_ACUMULAT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("CODI_ESTAT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("ID_DESIG" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("ID_EVENT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" ADD CONSTRAINT "REGALS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."REGALS" MODIFY ("ID_ENTREGAR_A" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CATALEGS
--------------------------------------------------------

  ALTER TABLE "REGALS"."CATALEGS" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."CATALEGS" ADD CONSTRAINT "CATALEGS_PK" PRIMARY KEY ("CODI_PROVEIDOR", "REFERENCIA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."CATALEGS" MODIFY ("REFERENCIA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."CATALEGS" MODIFY ("CODI_PROVEIDOR" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_IMPL
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL" ADD CONSTRAINT "UT_DYN_QUERY_CHECK" CHECK ("DYNAMIC_VALUE_QUERY" IS NULL OR "LIB_DYN_QUERY_ID" IS NULL) ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL" ADD CONSTRAINT "UT_TEST_IMPL_UK1" UNIQUE ("UT_ID", "NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL" ADD CONSTRAINT "UT_TEST_IMPL_PK" PRIMARY KEY ("UTI_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL" MODIFY ("UT_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_SUITE
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE" ADD CONSTRAINT "UT_SUITE_PK" PRIMARY KEY ("UT_SID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE" MODIFY ("UT_SID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_IMPL_ARG_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_ARG_RESULTS_PK" PRIMARY KEY ("UTIAR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("RUN_DATE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("ARG_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("UTI_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("UTIAR_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IMPOSTOS
--------------------------------------------------------

  ALTER TABLE "REGALS"."IMPOSTOS" ADD CONSTRAINT "IMPOSTOS_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."IMPOSTOS" MODIFY ("VALOR" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."IMPOSTOS" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."IMPOSTOS" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_IMPL_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_RESULTS_PK" PRIMARY KEY ("UTIR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("RUN_DATE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("UTR_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("UTI_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("UTIR_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST" ADD CONSTRAINT "UT_TEST_UK1" UNIQUE ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("OBJECT_OWNER" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("OBJECT_TYPE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("OBJECT_NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("UT_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" ADD CONSTRAINT "UT_TEST_PK" PRIMARY KEY ("UT_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST" MODIFY ("CREATED_ON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EVENTS_PARTICIPANTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" MODIFY ("DATA_ALTA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" ADD CONSTRAINT "EVENTS_PARTICIPANTS_PK" PRIMARY KEY ("ID_EVENT", "ID_USUARI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" MODIFY ("ID_USUARI" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" MODIFY ("ID_EVENT" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("RUN_DATE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("UT_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("UTR_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" ADD CONSTRAINT "UT_TEST_RESULTS_PK" PRIMARY KEY ("UTR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_RESULTS" MODIFY ("COVERAGE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EVENTS_TIPUS
--------------------------------------------------------

  ALTER TABLE "REGALS"."EVENTS_TIPUS" ADD CONSTRAINT "EVENTS_TIPUS_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."EVENTS_TIPUS" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CATEGORIES
--------------------------------------------------------

  ALTER TABLE "REGALS"."CATEGORIES" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."CATEGORIES" ADD CONSTRAINT "CATEGORIES_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."CATEGORIES" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_COVERAGE_STATS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" ADD CONSTRAINT "UT_TEST_COVERAGE_STATS_PK" PRIMARY KEY ("UTC_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_METADATA
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_METADATA" ADD CONSTRAINT "UT_METADATA_PK" PRIMARY KEY ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_METADATA" MODIFY ("VALUE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_METADATA" MODIFY ("NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LIB_VALIDATIONS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" ADD CONSTRAINT "UT_LIB_VALIDATIONS_NAME" UNIQUE ("LIB_VALIDATION_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" ADD CONSTRAINT "UT_LIB_VALIDATIONS_PK" PRIMARY KEY ("LIB_VALIDATION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("LIB_VALIDATION" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("LIB_VALIDATION_CLASS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("LIB_VALIDATION_NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_VALIDATIONS" MODIFY ("LIB_VALIDATION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_IMPL_ARGUMENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" ADD CONSTRAINT "UT_TEST_IMPL_ARGUMENTS_PK" PRIMARY KEY ("UTI_ID", "ARG_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("TEST_OUTVAL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("ARG_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("UTI_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LIB_STARTUPS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" ADD CONSTRAINT "UT_LIB_STARTUPS_NAME" UNIQUE ("LIB_STARTUP_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" ADD CONSTRAINT "UT_LIB_STARTUPS_PK" PRIMARY KEY ("LIB_STARTUP_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("LIB_STARTUP" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("LIB_STARTUP_CLASS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("LIB_STARTUP_NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_STARTUPS" MODIFY ("LIB_STARTUP_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LIB_DYN_QUERIES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" ADD CONSTRAINT "UT_LIB_DYN_QUERIES_NAME" UNIQUE ("LIB_DYN_QUERY_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" ADD CONSTRAINT "UT_LIB_DYN_QUERIES_PK" PRIMARY KEY ("LIB_DYN_QUERY_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("LIB_DYN_QUERY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("LIB_DYN_QUERY_CLASS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("LIB_DYN_QUERY_NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_DYN_QUERIES" MODIFY ("LIB_DYN_QUERY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_VALIDATIONS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_VALIDATIONS" ADD CONSTRAINT "UT_VALIDATIONS_CHECK" CHECK ("VALIDATION" IS NULL OR "LIB_VALIDATION_ID" IS NULL) ENABLE;
  ALTER TABLE "REGALS"."UT_VALIDATIONS" ADD CONSTRAINT "UT_VALIDATIONS_PK" PRIMARY KEY ("VALIDATION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("APPLY_VALIDATION" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("INDEX_NO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("UTI_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_VALIDATIONS" MODIFY ("VALIDATION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DESITJOS
--------------------------------------------------------

  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("OBSERVACIONS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("DATA_ALTA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("ID_USUARI" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" ADD CONSTRAINT "DESITJOS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("CODI_ARTICLE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("REF_CATALEG" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("CODI_PROV" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DESITJOS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table MODES_PAGAMENT
--------------------------------------------------------

  ALTER TABLE "REGALS"."MODES_PAGAMENT" ADD CONSTRAINT "MODES_PAGAMENT_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."MODES_PAGAMENT" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_ARGUMENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" ADD CONSTRAINT "UT_TEST_ARGUMENTS_PK" PRIMARY KEY ("ARG_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("DATA_LEVEL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("SEQUENCE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("POSITION" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("OBJECT_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("OWNER" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" MODIFY ("ARG_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LOOKUP_DATATYPES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" ADD CONSTRAINT "UT_LOOKUP_DATATYPES_UK1" UNIQUE ("CAT_ID", "TYPE_STRING")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" ADD CONSTRAINT "UT_LOOKUP_DATATYPES_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTD_PRODUCTE
--------------------------------------------------------

  ALTER TABLE "REGALS"."ESTD_PRODUCTE" ADD CONSTRAINT "ESTD_PRODUCTE_PK" PRIMARY KEY ("PRODUCTE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."ESTD_PRODUCTE" MODIFY ("PRODUCTE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ESTD_PRODUCTE" MODIFY ("ANYS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table REGALS_ESTAT
--------------------------------------------------------

  ALTER TABLE "REGALS"."REGALS_ESTAT" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."REGALS_ESTAT" ADD CONSTRAINT "REGALS_ESTAT_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."REGALS_ESTAT" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_SUITE_ITEMS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" ADD CONSTRAINT "UT_SUITE_ITEMS_UK" UNIQUE ("UT_SID", "UT_ID", "UT_NSID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("SEQUENCE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("RUN_TEAR" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("RUN_START" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" MODIFY ("UT_SID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DEDICATORIES
--------------------------------------------------------

  ALTER TABLE "REGALS"."DEDICATORIES" MODIFY ("MISSATGE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DEDICATORIES" MODIFY ("ID_USUARI" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DEDICATORIES" ADD CONSTRAINT "DEDICATORIES_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."DEDICATORIES" MODIFY ("ID_EVENT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."DEDICATORIES" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTD_PARTICIPANT
--------------------------------------------------------

  ALTER TABLE "REGALS"."ESTD_PARTICIPANT" ADD CONSTRAINT "ESTD_PARTICIPANT_PK" PRIMARY KEY ("ANYS_MES")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."ESTD_PARTICIPANT" MODIFY ("ANYS_MES" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TRANSACCIONS
--------------------------------------------------------

  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("DEVOLUCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("IMPORT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("CODI_MOD_PAGAMENT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("ID_REGAL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("ID_USUARI" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("DATA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TRANSACCIONS" ADD CONSTRAINT "TRANSACCIONS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."TRANSACCIONS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LOOKUP_CATEGORIES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" ADD CONSTRAINT "UT_LOOKUP_CATEGORIES_UK1" UNIQUE ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" ADD CONSTRAINT "UT_LOOKUP_CATEGORIES_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_CATEGORIES" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EVENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."EVENTS" MODIFY ("DATA_LIMIT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS" MODIFY ("ID_HOMENATJAT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS" MODIFY ("CODI_TIPUS_EVENT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS" MODIFY ("DATA_ALTA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."EVENTS" ADD CONSTRAINT "EVENTS_CHK2" CHECK (DATA_LIMIT>DATA_ALTA) ENABLE;
  ALTER TABLE "REGALS"."EVENTS" ADD CONSTRAINT "EVENTS_CHK1" CHECK (mostrar_import_indiv in ('s','n')) DISABLE;
  ALTER TABLE "REGALS"."EVENTS" ADD CONSTRAINT "EVENTS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."EVENTS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEST_IMPL_VAL_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_VAL_RES_PK" PRIMARY KEY ("UTIVR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("VAL_TYPE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("VAL_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("UTI_ID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" MODIFY ("UTIVR_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_TEARDOWNS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEARDOWNS" ADD CONSTRAINT "UT_TEARDOWNS_PK" PRIMARY KEY ("TEARDOWN_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_TEARDOWNS" ADD CONSTRAINT "UT_TEARDOWNS_CHECK" CHECK ("TEARDOWN" IS NULL  OR "LIB_TEARDOWN_ID" IS NULL) ENABLE;
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("INDEX_NO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_TEARDOWNS" MODIFY ("TEARDOWN_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ARTICLES
--------------------------------------------------------

  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("PREU" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" ADD CONSTRAINT "ARTICLES_PK" PRIMARY KEY ("CODI_PROVEIDOR", "REF_CATALEG", "CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("CODI_PROVEIDOR" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("CODI_IMPOST" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("CODI_CATEGORIA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("CODI" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."ARTICLES" MODIFY ("REF_CATALEG" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TABLA_LOG
--------------------------------------------------------

  ALTER TABLE "REGALS"."TABLA_LOG" MODIFY ("PARAMETRES_SORTIDA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TABLA_LOG" MODIFY ("PARAMETRES_ENTRADA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TABLA_LOG" MODIFY ("NOM_PROCEDIMENT" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."TABLA_LOG" MODIFY ("DATA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_SUITE_ITEM_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" ADD CONSTRAINT "UT_SUITE_ITEM_RESULTS_UK" UNIQUE ("UTSR_ID", "UTR_ID", "UTR_NSID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("SEQUENCE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" MODIFY ("UTSR_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LOOKUP_VALUES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" ADD CONSTRAINT "UT_LOOKUP_VALUES_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USUARIS
--------------------------------------------------------

  ALTER TABLE "REGALS"."USUARIS" MODIFY ("DATA_ALTA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("PROVINCIA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("POBLACIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("CODI_POSTAL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("DIRECCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."USUARIS" ADD CONSTRAINT "USUARIS_UK1" UNIQUE ("EMAIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."USUARIS" ADD CONSTRAINT "USUARIS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."USUARIS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_STARTUPS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_STARTUPS" ADD CONSTRAINT "UT_STARTUPS_PK" PRIMARY KEY ("STARTUP_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_STARTUPS" ADD CONSTRAINT "UT_STARTUPS_CHECK" CHECK ("STARTUP" IS NULL  OR "LIB_STARTUP_ID" IS NULL) ENABLE;
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("INDEX_NO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_STARTUPS" MODIFY ("STARTUP_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_SUITE_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" ADD CONSTRAINT "UT_SUITE_RESULTS_PK" PRIMARY KEY ("UTSR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("RUN_DATE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("COVERAGE" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("UT_SID" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" MODIFY ("UTSR_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTD_REGAL
--------------------------------------------------------

  ALTER TABLE "REGALS"."ESTD_REGAL" ADD CONSTRAINT "ESTD_REGAL_PK" PRIMARY KEY ("ANYS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."ESTD_REGAL" MODIFY ("ANYS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PROVEIDORS
--------------------------------------------------------

  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("EMAIL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("TELEFON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("PROVINCIA" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("POBLACIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("CODI_POSTAL" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("DIRECCIO" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."PROVEIDORS" ADD CONSTRAINT "PROVEIDORS_PK" PRIMARY KEY ("CODI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."PROVEIDORS" MODIFY ("CODI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UT_LIB_TEARDOWNS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" ADD CONSTRAINT "UT_LIB_TEARDOWNS_NAME" UNIQUE ("LIB_TEARDOWN_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" ADD CONSTRAINT "UT_LIB_TEARDOWNS_PK" PRIMARY KEY ("LIB_TEARDOWN_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("UPDATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("CREATED_ON" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("LIB_TEARDOWN" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("LIB_TEARDOWN_CLASS" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("LIB_TEARDOWN_NAME" NOT NULL ENABLE);
  ALTER TABLE "REGALS"."UT_LIB_TEARDOWNS" MODIFY ("LIB_TEARDOWN_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table ARTICLES
--------------------------------------------------------

  ALTER TABLE "REGALS"."ARTICLES" ADD CONSTRAINT "ARTICLES_FK1" FOREIGN KEY ("CODI_PROVEIDOR", "REF_CATALEG")
	  REFERENCES "REGALS"."CATALEGS" ("CODI_PROVEIDOR", "REFERENCIA") ENABLE;
  ALTER TABLE "REGALS"."ARTICLES" ADD CONSTRAINT "ARTICLES_FK2" FOREIGN KEY ("CODI_CATEGORIA")
	  REFERENCES "REGALS"."CATEGORIES" ("CODI") ENABLE;
  ALTER TABLE "REGALS"."ARTICLES" ADD CONSTRAINT "ARTICLES_FK3" FOREIGN KEY ("CODI_IMPOST")
	  REFERENCES "REGALS"."IMPOSTOS" ("CODI") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table CATALEGS
--------------------------------------------------------

  ALTER TABLE "REGALS"."CATALEGS" ADD CONSTRAINT "CATALEGS_FK1" FOREIGN KEY ("CODI_PROVEIDOR")
	  REFERENCES "REGALS"."PROVEIDORS" ("CODI") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table DEDICATORIES
--------------------------------------------------------

  ALTER TABLE "REGALS"."DEDICATORIES" ADD CONSTRAINT "DEDICATORIES_FK1" FOREIGN KEY ("ID_USUARI")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."DEDICATORIES" ADD CONSTRAINT "DEDICATORIES_FK2" FOREIGN KEY ("ID_EVENT")
	  REFERENCES "REGALS"."EVENTS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table DESITJOS
--------------------------------------------------------

  ALTER TABLE "REGALS"."DESITJOS" ADD CONSTRAINT "DESITJOS_FK1" FOREIGN KEY ("ID_USUARI")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."DESITJOS" ADD CONSTRAINT "DESITJOS_FK2" FOREIGN KEY ("CODI_PROV", "REF_CATALEG", "CODI_ARTICLE")
	  REFERENCES "REGALS"."ARTICLES" ("CODI_PROVEIDOR", "REF_CATALEG", "CODI") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table EVENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."EVENTS" ADD CONSTRAINT "EVENTS_FK1" FOREIGN KEY ("CODI_TIPUS_EVENT")
	  REFERENCES "REGALS"."EVENTS_TIPUS" ("CODI") ENABLE;
  ALTER TABLE "REGALS"."EVENTS" ADD CONSTRAINT "EVENTS_FK2" FOREIGN KEY ("ID_HOMENATJAT")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table EVENTS_PARTICIPANTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" ADD CONSTRAINT "EVENTS_PARTICIPANTS_FK1" FOREIGN KEY ("ID_USUARI")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."EVENTS_PARTICIPANTS" ADD CONSTRAINT "EVENTS_PARTICIPANTS_FK2" FOREIGN KEY ("ID_EVENT")
	  REFERENCES "REGALS"."EVENTS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table REGALS
--------------------------------------------------------

  ALTER TABLE "REGALS"."REGALS" ADD CONSTRAINT "REGALS_FK1" FOREIGN KEY ("ID_DESIG")
	  REFERENCES "REGALS"."DESITJOS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."REGALS" ADD CONSTRAINT "REGALS_FK2" FOREIGN KEY ("CODI_ESTAT")
	  REFERENCES "REGALS"."REGALS_ESTAT" ("CODI") ENABLE;
  ALTER TABLE "REGALS"."REGALS" ADD CONSTRAINT "REGALS_FK3" FOREIGN KEY ("ID_EVENT")
	  REFERENCES "REGALS"."EVENTS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."REGALS" ADD CONSTRAINT "REGALS_FK4" FOREIGN KEY ("ID_ENTREGAR_A")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TRANSACCIONS
--------------------------------------------------------

  ALTER TABLE "REGALS"."TRANSACCIONS" ADD CONSTRAINT "TRANSACCIONS_FK1" FOREIGN KEY ("ID_REGAL")
	  REFERENCES "REGALS"."REGALS" ("ID") ENABLE;
  ALTER TABLE "REGALS"."TRANSACCIONS" ADD CONSTRAINT "TRANSACCIONS_FK2" FOREIGN KEY ("CODI_MOD_PAGAMENT")
	  REFERENCES "REGALS"."MODES_PAGAMENT" ("CODI") ENABLE;
  ALTER TABLE "REGALS"."TRANSACCIONS" ADD CONSTRAINT "TRANSACCIONS_FK3" FOREIGN KEY ("ID_USUARI")
	  REFERENCES "REGALS"."USUARIS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_LOOKUP_DATATYPES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LOOKUP_DATATYPES" ADD CONSTRAINT "UT_LOOKUP_DATATYPES_UT_LO_FK1" FOREIGN KEY ("CAT_ID")
	  REFERENCES "REGALS"."UT_LOOKUP_CATEGORIES" ("ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_LOOKUP_VALUES
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_LOOKUP_VALUES" ADD CONSTRAINT "UT_LOOKUP_VALUES_UT_LOOKU_FK1" FOREIGN KEY ("DATA_ID")
	  REFERENCES "REGALS"."UT_LOOKUP_DATATYPES" ("ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_STARTUPS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_STARTUPS" ADD CONSTRAINT "UT_STARTUPS_LIB_VALIDN_FK1" FOREIGN KEY ("LIB_STARTUP_ID")
	  REFERENCES "REGALS"."UT_LIB_STARTUPS" ("LIB_STARTUP_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_STARTUPS" ADD CONSTRAINT "UT_STARTUPS_SUITE_FK1" FOREIGN KEY ("UT_SID")
	  REFERENCES "REGALS"."UT_SUITE" ("UT_SID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_STARTUPS" ADD CONSTRAINT "UT_STARTUPS_TEST_FK1" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_SUITE_ITEM_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" ADD CONSTRAINT "UT_SUITE_ITEM_RESULTS_FK1" FOREIGN KEY ("UTSR_ID")
	  REFERENCES "REGALS"."UT_SUITE_RESULTS" ("UTSR_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" ADD CONSTRAINT "UT_SUITE_ITEM_RESULTS_FK2" FOREIGN KEY ("UTR_ID")
	  REFERENCES "REGALS"."UT_TEST_RESULTS" ("UTR_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" ADD CONSTRAINT "UT_SUITE_ITEM_RESULTS_FK3" FOREIGN KEY ("UTR_NSID")
	  REFERENCES "REGALS"."UT_SUITE_RESULTS" ("UTSR_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_SUITE_ITEMS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" ADD CONSTRAINT "UT_SUITE_ITEMS_FK1" FOREIGN KEY ("UT_SID")
	  REFERENCES "REGALS"."UT_SUITE" ("UT_SID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" ADD CONSTRAINT "UT_SUITE_ITEMS_FK2" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_SUITE_ITEMS" ADD CONSTRAINT "UT_SUITE_ITEMS_FK3" FOREIGN KEY ("UT_NSID")
	  REFERENCES "REGALS"."UT_SUITE" ("UT_SID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_SUITE_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_SUITE_RESULTS" ADD CONSTRAINT "UT_SUITE_RESULTS_FK1" FOREIGN KEY ("UT_SID")
	  REFERENCES "REGALS"."UT_SUITE" ("UT_SID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEARDOWNS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEARDOWNS" ADD CONSTRAINT "UT_TEARDOWNS_LIB_VALIDN_FK1" FOREIGN KEY ("LIB_TEARDOWN_ID")
	  REFERENCES "REGALS"."UT_LIB_TEARDOWNS" ("LIB_TEARDOWN_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEARDOWNS" ADD CONSTRAINT "UT_TEARDOWNS_SUITE_FK1" FOREIGN KEY ("UT_SID")
	  REFERENCES "REGALS"."UT_SUITE" ("UT_SID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEARDOWNS" ADD CONSTRAINT "UT_TEARDOWNS_TEST_FK1" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_ARGUMENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_ARGUMENTS" ADD CONSTRAINT "UT_TEST_ARGUMENTS_FK" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_COVERAGE_STATS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" ADD CONSTRAINT "UT_TEST_COV_STATS_UT_T_FK1" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_COVERAGE_STATS" ADD CONSTRAINT "UT_TEST_COV_STATS_UT_T_FK2" FOREIGN KEY ("UTIR_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL_RESULTS" ("UTIR_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_IMPL
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL" ADD CONSTRAINT "UT_TEST_IMPL_UT_TEST_FK1" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL" ADD CONSTRAINT "UT_TEST_LIB_DYN_QUERIES_FK1" FOREIGN KEY ("LIB_DYN_QUERY_ID")
	  REFERENCES "REGALS"."UT_LIB_DYN_QUERIES" ("LIB_DYN_QUERY_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_IMPL_ARG_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_ARG_RESULTS__FK1" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_ARG_RESULTS__FK2" FOREIGN KEY ("ARG_ID")
	  REFERENCES "REGALS"."UT_TEST_ARGUMENTS" ("ARG_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_IMPL_ARGUMENTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" ADD CONSTRAINT "UT_TEST_IMPL_ARGUMENTS_UT_FK1" FOREIGN KEY ("ARG_ID")
	  REFERENCES "REGALS"."UT_TEST_ARGUMENTS" ("ARG_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" ADD CONSTRAINT "UT_TEST_IMPL_ARGUMENTS_UT_FK2" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_IMPL_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_RESULTS_UT_T_FK1" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_RESULTS_UT_T_FK2" FOREIGN KEY ("UTR_ID")
	  REFERENCES "REGALS"."UT_TEST_RESULTS" ("UTR_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_IMPL_VAL_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_VAL_RES_FK1" FOREIGN KEY ("VAL_ID")
	  REFERENCES "REGALS"."UT_VALIDATIONS" ("VALIDATION_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_VAL_RES_FK2" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" ADD CONSTRAINT "UT_TEST_IMPL_VAL_RES_FK3" FOREIGN KEY ("UTIR_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL_RESULTS" ("UTIR_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_TEST_RESULTS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_TEST_RESULTS" ADD CONSTRAINT "UT_TEST_RESULTS_UT_TEST_FK1" FOREIGN KEY ("UT_ID")
	  REFERENCES "REGALS"."UT_TEST" ("UT_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UT_VALIDATIONS
--------------------------------------------------------

  ALTER TABLE "REGALS"."UT_VALIDATIONS" ADD CONSTRAINT "UT_VALIDATIONS_LIB_VALIDN_FK1" FOREIGN KEY ("LIB_VALIDATION_ID")
	  REFERENCES "REGALS"."UT_LIB_VALIDATIONS" ("LIB_VALIDATION_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "REGALS"."UT_VALIDATIONS" ADD CONSTRAINT "UT_VALIDATIONS_TEST_IMPL_FK1" FOREIGN KEY ("UTI_ID")
	  REFERENCES "REGALS"."UT_TEST_IMPL" ("UTI_ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  DDL for Trigger DEDICATORIES_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."DEDICATORIES_TRG" 
BEFORE INSERT ON DEDICATORIES 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT DEDICATORIES_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."DEDICATORIES_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger DESITJOS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."DESITJOS_TRG" 
BEFORE INSERT ON DESITJOS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT DESITJOS_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."DESITJOS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger EVENTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."EVENTS_TRG" 
BEFORE INSERT ON EVENTS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    NULL;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."EVENTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger EVENTS_TRG1
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."EVENTS_TRG1" 
BEFORE INSERT ON EVENTS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT EVENTS_SEQ1.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."EVENTS_TRG1" ENABLE;
--------------------------------------------------------
--  DDL for Trigger PROVEIDORS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."PROVEIDORS_TRG" 
BEFORE INSERT ON PROVEIDORS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.CODI IS NULL THEN
      SELECT PROVEIDORS_SEQ.NEXTVAL INTO :NEW.CODI FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."PROVEIDORS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger REGALS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."REGALS_TRG" 
BEFORE INSERT ON REGALS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT REGALS_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."REGALS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRANSACCIONS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRANSACCIONS_TRG" 
BEFORE INSERT ON TRANSACCIONS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT TRANSACCIONS_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."TRANSACCIONS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PARTICIPANT_BORRAR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PARTICIPANT_BORRAR" 
AFTER DELETE ON TRANSACCIONS 
BEGIN
 
 
 UPDATE ESTD_PARTICIPANT
  SET 
      PARTICIPANT_MES_REGALS=PARTICIPAT_MES_REGALS(),
      PARTICIPANT_MES_DESPESA=PARTICIPANT_MES_DESPESA(),
      PARTICIPANT_MES_PARTICIPAT=PARTICIPANT_REBUT_MES_REGALS(),
      GRUP_MES_DESPESA=GRUP_MES_DESPESA
      
   WHERE ANYS_MES =(select to_char(sysdate,'yyyyMM') from dual );
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_PARTICIPANT_BORRAR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PARTICIPANTS_INSERTAR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PARTICIPANTS_INSERTAR" 
AFTER INSERT ON transaccions 
     
  declare
    v_Contador NUMBER;
    RSP VARCHAR2(25 CHAR);

   
    BEGIN
       INSERT INTO ESTD_PARTICIPANT

 VALUES ((select to_char(sysdate,'yyyyMM') from dual),PARTICIPAT_MES_REGALS(),PARTICIPANT_MES_DESPESA(),PARTICIPANT_REBUT_MES_REGALS(),GRUP_MES_DESPESA);


 EXCEPTION

  WHEN DUP_VAL_ON_INDEX THEN  
  UPDATE ESTD_PARTICIPANT
  SET 
      PARTICIPANT_MES_REGALS=PARTICIPAT_MES_REGALS(),
      PARTICIPANT_MES_DESPESA=PARTICIPANT_MES_DESPESA(),
      PARTICIPANT_MES_PARTICIPAT=PARTICIPANT_REBUT_MES_REGALS(),
      GRUP_MES_DESPESA=GRUP_MES_DESPESA
      
   WHERE ANYS_MES =(select to_char(sysdate,'yyyyMM') from dual );
 WHEN OTHERS THEN
   RSP:='ERROR: '||SQLERRM;  DBMS_OUTPUT.PUT_LINE(rsp);
    
      

       
 
 
END TRIGGER_PARTICIPANTS_INSERTAR ;
/
ALTER TRIGGER "REGALS"."TRIGGER_PARTICIPANTS_INSERTAR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PARTICIPANTS_UPDATE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PARTICIPANTS_UPDATE" 
AFTER UPDATE ON TRANSACCIONS 
BEGIN
  UPDATE ESTD_PARTICIPANT
  SET 
      PARTICIPANT_MES_REGALS=PARTICIPAT_MES_REGALS(),
      PARTICIPANT_MES_DESPESA=PARTICIPANT_MES_DESPESA(),
      PARTICIPANT_MES_PARTICIPAT=PARTICIPANT_REBUT_MES_REGALS(),
      GRUP_MES_DESPESA=GRUP_MES_DESPESA
      
   WHERE ANYS_MES =(select to_char(sysdate,'yyyyMM') from dual );
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_PARTICIPANTS_UPDATE" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PRODUCTE_BORRAR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PRODUCTE_BORRAR" 
AFTER DELETE ON REGALS 
FOR EACH ROW
BEGIN
   IF((:OLD.CODI_ESTAT<>2) AND (:OLD.CODI_ESTAT<>3) ) THEN
    UPDATE ESTD_PRODUCTE 
   SET 
       MAX_VEGADES_REGALAT=MAX_VEGADES_REGALAT-1    
    WHERE producte=(SELECT  CODI_ARTICLE
    FROM DESITJOS WHERE DESITJOS.ID=:OLD.ID_DESIG);
  END IF;
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_PRODUCTE_BORRAR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PRODUCTE_INSERTAR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PRODUCTE_INSERTAR" 
AFTER INSERT ON REGALS 
FOR EACH ROW
DECLARE RSP VARCHAR2(300);
BEGIN
IF(:new.CODI_ESTAT<>2 and :new.CODI_ESTAT<>3 ) THEN
 
 INSERT INTO ESTD_PRODUCTE

 VALUES ((SELECT  TO_CHAR(DATA_ALTA,'yyyy') FROM EVENTS WHERE ID = :NEW.ID_EVENT),(SELECT  CODI_ARTICLE
FROM DESITJOS WHERE DESITJOS.ID=:NEW.ID_DESIG) ,1);
END IF;

 EXCEPTION
--  when error_estat then DBMS_OUTPUT.PUT_LINE('Estado no valido para actulizar estadisticas: ')
  WHEN DUP_VAL_ON_INDEX THEN  
  UPDATE ESTD_PRODUCTE
  SET 
  ANYS=(SELECT  TO_CHAR(DATA_ALTA,'yyyy') FROM EVENTS WHERE ID = :NEW.ID_EVENT),
  MAX_VEGADES_REGALAT=MAX_VEGADES_REGALAT+1
  
   WHERE PRODUCTE = (SELECT  CODI_ARTICLE
  FROM DESITJOS WHERE DESITJOS.ID=:NEW.ID_DESIG );
 WHEN OTHERS THEN
   RSP:='ERROR: '||SQLERRM;  DBMS_OUTPUT.PUT_LINE(rsp);
 
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_PRODUCTE_INSERTAR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PRODUCTE_UPDATE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_PRODUCTE_UPDATE" 
AFTER UPDATE ON REGALS 

FOR EACH ROW
DECLARE NUM VARCHAR2(20);

BEGIN


   IF(:OLD.CODI_ESTAT<>2 and :old.codi_estat<>3  AND :NEW.CODI_ESTAT=2 or :new.Codi_estat=3) THEN
    UPDATE ESTD_PRODUCTE 
   SET 
       MAX_VEGADES_REGALAT=MAX_VEGADES_REGALAT-1    
    WHERE producte=(SELECT  CODI_ARTICLE
    FROM DESITJOS WHERE DESITJOS.ID=:NEW.ID_DESIG);
  END IF;
    
    ------------------------------------------------------------------------
    
    
     IF(:OLD.CODI_ESTAT=2 or :old.codi_estat=3  AND :NEW.CODI_ESTAT<>2 and :new.codi_estat<>3) THEN
    UPDATE ESTD_PRODUCTE 
     SET 
        MAX_VEGADES_REGALAT=MAX_VEGADES_REGALAT+1    
    WHERE producte=(SELECT  CODI_ARTICLE
    FROM DESITJOS WHERE DESITJOS.ID=:NEW.ID_DESIG);
    END IF;
    
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_PRODUCTE_UPDATE" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_REGALS_DELETE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_REGALS_DELETE" 
for delete ON REGALS 
compound trigger
v_contador number;
   X_ANY_EVENT VARCHAR(4);
   X_PERCENT NUMBER;
   X_import NUMBER;
   X_codi_estat NUMBER;
  
    RSP VARCHAR2(300);
    
    after each row is
begin

 X_ANY_EVENT := ANY_EVENT(:OLD.ID_EVENT);
  x_import := :OLD.IMPORT_ACUMULAT;
   x_codi_estat:= :OLD.CODI_ESTAT;

end after each row;


 AFTER STATEMENT IS
  BEGIN
  --IF(X_codi_estat<>2 and X_codi_estat<>3) THEN
    X_PERCENT := ROUND( REGAL_PERCENTATGE(X_ANY_EVENT),2); 
  UPDATE ESTD_REGAL
    SET 
   NUMERO_REGALS_ADQUIRIT=(NUMERO_REGALS_ADQUIRIT-1),
   IMPORT_TOTAL_REGALS=IMPORT_TOTAL_REGALS-x_import,
   PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
   MITJA_DESPESA_REGALS_PARTICI=ROUND((IMPORT_TOTAL_REGALS+x_import)/(NUMERO_REGALS_ADQUIRIT+1),2)
   WHERE ANYS =X_ANY_EVENT; 
 -- END IF;
  END AFTER STATEMENT;

END;
/
ALTER TRIGGER "REGALS"."TRIGGER_REGALS_DELETE" DISABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_REGALS_INSERT2
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_REGALS_INSERT2" 
 for INSERT ON REGALS 
compound trigger

v_contador number;
   X_ANY_EVENT VARCHAR(4);
   X_PERCENT NUMBER;
   X_import NUMBER;
   X_codi_estat NUMBER;
    RSP VARCHAR2(300);
   
after each row is
begin
  --DBMS_OUTPUT.PUT('se realitza la actualizacio');
   X_ANY_EVENT := ANY_EVENT(:NEW.ID_EVENT);
   x_import := :NEW.IMPORT_ACUMULAT;
   x_codi_estat:= :new.CODI_ESTAT;
   
end after each row;


  AFTER STATEMENT IS
  BEGIN
    IF(X_codi_estat<>2 and X_codi_estat<>3) THEN
     
     X_PERCENT := ROUND( REGAL_PERCENTATGE(X_ANY_EVENT),2); 
  
  INSERT INTO ESTD_REGAL 
   VALUES (X_ANY_EVENT, 1, x_import, X_PERCENT, x_import );
  END IF;
   
   EXCEPTION
   WHEN DUP_VAL_ON_INDEX THEN  

 UPDATE ESTD_REGAL
 SET 
   NUMERO_REGALS_ADQUIRIT=NUMERO_REGALS_ADQUIRIT+1,
    
   IMPORT_TOTAL_REGALS=IMPORT_TOTAL_REGALS+x_import,
   PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
   MITJA_DESPESA_REGALS_PARTICI=ROUND((IMPORT_TOTAL_REGALS+x_import)/(NUMERO_REGALS_ADQUIRIT+1),2)
  
   WHERE ANYS =X_ANY_EVENT; 
    WHEN OTHERS THEN
   RSP:='ERROR: '||SQLERRM;  DBMS_OUTPUT.PUT_LINE(rsp);
   

  
  
  
  -- DBMS_OUTPUT.PUT('test');
  
  END AFTER STATEMENT;
  
  
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_REGALS_INSERT2" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_REGALS_UPDATE2
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."TRIGGER_REGALS_UPDATE2" 
for UPDATE ON REGALS 
compound trigger

v_contador number;
   X_ANY_EVENT VARCHAR(4);
   X_PERCENT NUMBER;
   X_import_nou NUMBER;
    X_import_vell NUMBER;
   X_codi_estat_nou NUMBER;
     X_codi_estat_vell NUMBER;
    RSP VARCHAR2(300);
   
after each row is
begin
 
   X_ANY_EVENT := ANY_EVENT(:OLD.ID_EVENT);
  x_import_vell := :OLD.IMPORT_ACUMULAT;
    x_import_nou := :new.IMPORT_ACUMULAT;
  x_codi_estat_vell:= :OLD.CODI_ESTAT;
   x_codi_estat_nou:= :new.CODI_ESTAT;
  
   
end after each row;


  AFTER STATEMENT IS
  BEGIN
    X_PERCENT := ROUND( REGAL_PERCENTATGE(X_ANY_EVENT),2); 
    
    IF(x_codi_estat_vell<>2 or x_codi_estat_vell<>3 AND x_codi_estat_nou<>2 and x_codi_estat_nou<>3) THEN
   -- DBMS_OUTPUT.PUT_LINE('vas perfecte'||x_import_nou);
 
   
 
 
 UPDATE ESTD_REGAL
  SET
 IMPORT_TOTAL_REGALS=(IMPORT_TOTAL_REGALS+ x_import_nou)-x_import_vell,
   -- Import_total_regals=x_import_nou,
   NUMERO_REGALS_ADQUIRIT=NUMERO_REGALS_ADQUIRIT,
   PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
   MITJA_DESPESA_REGALS_PARTICI=(((IMPORT_TOTAL_REGALS+ x_import_nou)-x_import_vell)/(NUMERO_REGALS_ADQUIRIT))
   WHERE ANYS =X_ANY_EVENT; 
 END if;
 -------------------------------------------------------------   
/*IF(x_codi_estat_vell<>2 and x_codi_estat_vell<>3 AND x_import_vell <> x_import_nou) THEN
DBMS_OUTPUT.PUT_LINE('vas malament');
 UPDATE ESTD_REGAL
 SET 
   
   IMPORT_TOTAL_REGALS=(IMPORT_TOTAL_REGALS+ x_import_nou)-x_import_vell,
   PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
   MITJA_DESPESA_REGALS_PARTICI=IMPORT_TOTAL_REGALS/NUMERO_REGALS_ADQUIRIT
   WHERE ANYS =X_ANY_EVENT; 
 END if;*/
 ---------------------------------------------------------------------
 
  IF(x_codi_estat_vell<>2 and x_codi_estat_vell<>3 AND x_codi_estat_nou =2 or x_codi_estat_nou=3) THEN
  DBMS_OUTPUT.PUT_LINE('vas pitjor');
  UPDATE ESTD_REGAL 
   SET 
       NUMERO_REGALS_ADQUIRIT=numero_regals_adquirit-1 ,
       IMPORT_TOTAL_REGALS=(IMPORT_TOTAL_REGALS-x_import_vell),
        PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
        MITJA_DESPESA_REGALS_PARTICI=((IMPORT_TOTAL_REGALS+ x_import_nou)-x_import_vell)/(NUMERO_REGALS_ADQUIRIT-1)
  
    WHERE ANYS=X_ANY_EVENT;
     END IF;
  ----------------------------------------------------
 IF(x_codi_estat_vell=2 or x_codi_estat_vell=3 AND x_codi_estat_nou<>2 and x_codi_estat_nou<>3) THEN
 
  DBMS_OUTPUT.PUT_LINE('vas fatal');
 
  UPDATE ESTD_REGAL 
  set
   NUMERO_REGALS_ADQUIRIT=numero_regals_adquirit+1,
       IMPORT_TOTAL_REGALS=(IMPORT_TOTAL_REGALS+x_import_nou),
       PERCENTATGE_REGAL_ASSOLIT=ROUND(X_PERCENT,2),
        MITJA_DESPESA_REGALS_PARTICI=(IMPORT_TOTAL_REGALS+x_import_nou)/(NUMERO_REGALS_ADQUIRIT+1)
       
    WHERE ANYS=X_ANY_EVENT;
   
    END IF;
    
  END AFTER STATEMENT;
  
  
END;
/
ALTER TRIGGER "REGALS"."TRIGGER_REGALS_UPDATE2" ENABLE;
--------------------------------------------------------
--  DDL for Trigger USUARIS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."USUARIS_TRG" 
BEFORE INSERT ON USUARIS 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.ID IS NULL THEN
      SELECT USUARIS_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
ALTER TRIGGER "REGALS"."USUARIS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_DYN_QUERIES
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_DYN_QUERIES" 
BEFORE INSERT ON UT_LIB_DYN_QUERIES
FOR EACH ROW 
BEGIN
  if (:NEW.LIB_DYN_QUERY_ID is null or :NEW.LIB_DYN_QUERY_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.LIB_DYN_QUERY_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_DYN_QUERIES" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_DYN_QUERIES_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_DYN_QUERIES_UP_TRG" 
BEFORE UPDATE ON UT_LIB_DYN_QUERIES
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_DYN_QUERIES_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_STARTUPS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_STARTUPS" 
BEFORE INSERT ON UT_LIB_STARTUPS
FOR EACH ROW 
BEGIN
  if (:NEW.LIB_STARTUP_ID is null or :NEW.LIB_STARTUP_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.LIB_STARTUP_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_STARTUPS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_STARTUPS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_STARTUPS_UP_TRG" 
BEFORE UPDATE ON UT_LIB_STARTUPS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_STARTUPS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_TEARDOWNS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_TEARDOWNS" 
BEFORE INSERT ON UT_LIB_TEARDOWNS
FOR EACH ROW 
BEGIN
  if (:NEW.LIB_TEARDOWN_ID is null or :NEW.LIB_TEARDOWN_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.LIB_TEARDOWN_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_TEARDOWNS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_TEARDOWNS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_TEARDOWNS_UP_TRG" 
BEFORE UPDATE ON UT_LIB_TEARDOWNS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_TEARDOWNS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_VALIDATIONS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_VALIDATIONS" 
BEFORE INSERT ON UT_LIB_VALIDATIONS
FOR EACH ROW 
BEGIN
  if (:NEW.LIB_VALIDATION_ID is null or :NEW.LIB_VALIDATION_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.LIB_VALIDATION_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_VALIDATIONS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LIB_VALIDATIONS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LIB_VALIDATIONS_UP_TRG" 
BEFORE UPDATE ON UT_LIB_VALIDATIONS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LIB_VALIDATIONS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_CAT_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_CAT_TRG" 
BEFORE INSERT ON UT_LOOKUP_CATEGORIES
FOR EACH ROW 
BEGIN
  if (:NEW.ID is null or :NEW.ID = '') then
      SELECT  SYS_GUID() INTO :NEW.ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_CAT_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_CAT_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_CAT_UP_TRG" 
BEFORE UPDATE ON UT_LOOKUP_CATEGORIES
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_CAT_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_DATA_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_DATA_TRG" 
BEFORE INSERT ON UT_LOOKUP_DATATYPES
FOR EACH ROW 
BEGIN
  if (:NEW.ID is null or :NEW.ID = '') then
      SELECT  SYS_GUID() INTO :NEW.ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_DATA_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_DATATYPES_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_DATATYPES_UP_TRG" 
BEFORE UPDATE ON UT_LOOKUP_DATATYPES
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_DATATYPES_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_VALUES_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_VALUES_UP_TRG" 
BEFORE UPDATE ON UT_LOOKUP_VALUES
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_VALUES_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_LOOKUP_VALUE_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_LOOKUP_VALUE_TRG" 
BEFORE INSERT ON UT_LOOKUP_VALUES
FOR EACH ROW 
BEGIN
  if (:NEW.ID is null or :NEW.ID = '') then
      SELECT  SYS_GUID() INTO :NEW.ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_LOOKUP_VALUE_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_STARTUPS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_STARTUPS_TRG" BEFORE
  INSERT ON UT_STARTUPS FOR EACH ROW 
  DECLARE
   BAD_DATA EXCEPTION;
   PRAGMA EXCEPTION_INIT(BAD_DATA, -20201);
  BEGIN 
IF (:NEW.UT_ID IS NULL AND :NEW.UT_SID IS NULL ) THEN
    RAISE_APPLICATION_ERROR(-20201, 'Invalid Insert');
END IF;
IF (:NEW.UT_ID IS NOT NULL AND :NEW.UT_SID IS NOT NULL ) THEN
    RAISE_APPLICATION_ERROR(-20201, 'Invalid Insert');
END IF;
IF (:NEW.STARTUP_ID IS NULL OR :NEW.STARTUP_ID = '' ) THEN
  SELECT SYS_GUID() INTO :NEW.STARTUP_ID FROM DUAL;
END IF;
IF (:NEW.CREATED_ON IS NULL OR :NEW.CREATED_ON = '') THEN
  SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
END IF;
IF (:NEW.CREATED_BY IS NULL OR :NEW.CREATED_BY = '') THEN
  SELECT USER INTO :NEW.CREATED_BY FROM DUAL;
END IF;
IF (:NEW.UPDATED_ON IS NULL OR :NEW.UPDATED_ON = '') THEN
  SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
END IF;
IF (:NEW.UPDATED_BY IS NULL OR :NEW.UPDATED_BY = '') THEN
  SELECT USER INTO :NEW.UPDATED_BY FROM DUAL;
END IF;
END;
/
ALTER TRIGGER "REGALS"."UT_STARTUPS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_STARTUPS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_STARTUPS_UP_TRG" BEFORE
  UPDATE ON UT_STARTUPS FOR EACH ROW BEGIN IF (:NEW.UPDATED_ON IS NULL
  OR :NEW.UPDATED_ON = '') THEN
  SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
END IF;
IF (:NEW.UPDATED_BY IS NULL OR :NEW.UPDATED_BY = '') THEN
  SELECT USER INTO :NEW.UPDATED_BY FROM DUAL;
END IF;
END;
/
ALTER TRIGGER "REGALS"."UT_STARTUPS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_ITEM_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_ITEM_RESULTS_TRG" 
BEFORE INSERT ON UT_SUITE_ITEM_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_ITEM_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_ITEM_RESULTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_ITEM_RESULTS_UP_TRG" 
BEFORE UPDATE ON UT_SUITE_ITEM_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_ITEM_RESULTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_ITEMS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_ITEMS_TRG" 
BEFORE INSERT ON UT_SUITE_ITEMS
FOR EACH ROW 
BEGIN
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_ITEMS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_ITEMS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_ITEMS_UP_TRG" 
BEFORE UPDATE ON UT_SUITE_ITEMS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_ITEMS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_RESULTS_TRG" 
BEFORE INSERT ON UT_SUITE_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UTSR_ID is null or :NEW.UTSR_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTSR_ID FROM DUAL;
  end if;
  if (:NEW.RUN_DATE is null or :NEW.RUN_DATE = '') then 
      SELECT Current_Timestamp INTO :NEW.RUN_DATE FROM DUAL;
  end if;
  if (:NEW.STATUS is null or :NEW.STATUS = '') then 
      :NEW.STATUS := 'RUNNING';
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_RESULTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_RESULTS_UP_TRG" 
BEFORE UPDATE ON UT_SUITE_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_RESULTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_TRG" 
BEFORE INSERT ON UT_SUITE
FOR EACH ROW 
BEGIN
  if (:NEW.UT_SID is null or :NEW.UT_SID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UT_SID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_SUITE_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_SUITE_UP_TRG" 
BEFORE UPDATE ON UT_SUITE
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_SUITE_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEARDOWNS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEARDOWNS_TRG" BEFORE
INSERT ON UT_TEARDOWNS FOR EACH ROW 
DECLARE
 BAD_DATA EXCEPTION;
 PRAGMA EXCEPTION_INIT(BAD_DATA, -20201);
BEGIN 
IF (:NEW.UT_ID IS NULL AND :NEW.UT_SID IS NULL ) THEN
    RAISE_APPLICATION_ERROR(-20201, 'Invalid Insert');
END IF;
IF (:NEW.UT_ID IS NOT NULL AND :NEW.UT_SID IS NOT NULL ) THEN
    RAISE_APPLICATION_ERROR(-20201, 'Invalid Insert');
END IF;
IF (:NEW.TEARDOWN_ID IS NULL OR :NEW.TEARDOWN_ID = '') THEN
  SELECT SYS_GUID() INTO :NEW.TEARDOWN_ID FROM DUAL;
END IF;
IF (:NEW.CREATED_ON IS NULL OR :NEW.CREATED_ON = '') THEN
  SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
END IF;
IF (:NEW.CREATED_BY IS NULL OR :NEW.CREATED_BY = '') THEN
  SELECT USER INTO :NEW.CREATED_BY FROM DUAL;
END IF;
IF (:NEW.UPDATED_ON IS NULL OR :NEW.UPDATED_ON = '') THEN
  SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
END IF;
IF (:NEW.UPDATED_BY IS NULL OR :NEW.UPDATED_BY = '') THEN
  SELECT USER INTO :NEW.UPDATED_BY FROM DUAL;
END IF;
END;
/
ALTER TRIGGER "REGALS"."UT_TEARDOWNS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEARDOWNS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEARDOWNS_UP_TRG" BEFORE
  UPDATE ON UT_TEARDOWNS FOR EACH ROW 
BEGIN 
IF (:NEW.UPDATED_ON IS NULL
  OR :NEW.UPDATED_ON = '') THEN
  SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
END IF;
IF (:NEW.UPDATED_BY IS NULL OR :NEW.UPDATED_BY = '') THEN
  SELECT USER INTO :NEW.UPDATED_BY FROM DUAL;
END IF;
END;
/
ALTER TRIGGER "REGALS"."UT_TEARDOWNS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_ARGUMENTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_ARGUMENTS_TRG" 
BEFORE INSERT ON UT_TEST_ARGUMENTS
FOR EACH ROW 
BEGIN
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_ARGUMENTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_ARGUMENTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_ARGUMENTS_UP_TRG" 
BEFORE UPDATE ON UT_TEST_ARGUMENTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_ARGUMENTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_COVERAGE_STATS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_COVERAGE_STATS_TRG" 
BEFORE INSERT ON UT_TEST_COVERAGE_STATS
FOR EACH ROW 
BEGIN
  if (:NEW.UTC_ID is null or :NEW.UTC_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTC_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_COVERAGE_STATS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_COVERAGE_STATS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_COVERAGE_STATS_UP_TRG" 
BEFORE UPDATE ON UT_TEST_COVERAGE_STATS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_COVERAGE_STATS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_ARG_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_ARG_RESULTS_TRG" 
BEFORE INSERT ON UT_TEST_IMPL_ARG_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UTIAR_ID is null or :NEW.UTIAR_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTIAR_ID FROM DUAL;
  end if;
  if (:NEW.RUN_DATE is null or :NEW.RUN_DATE = '') then 
      SELECT Current_Timestamp INTO :NEW.RUN_DATE FROM DUAL;
  end if;
  if (:NEW.STATUS is null or :NEW.STATUS = '') then 
      :NEW.STATUS := 'RUNNING';
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_ARG_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_ARG_RES_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_ARG_RES_UP_TRG" 
BEFORE UPDATE ON UT_TEST_IMPL_ARG_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_ARG_RES_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_ARGUMENTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_ARGUMENTS_TRG" 
BEFORE INSERT ON UT_TEST_IMPL_ARGUMENTS
FOR EACH ROW 
BEGIN
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_ARGUMENTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_ARGUMENTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_ARGUMENTS_UP_TRG" 
BEFORE UPDATE ON UT_TEST_IMPL_ARGUMENTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_ARGUMENTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_RESULTS_TRG" 
BEFORE INSERT ON UT_TEST_IMPL_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UTIR_ID is null or :NEW.UTIR_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTIR_ID FROM DUAL;
  end if;
  if (:NEW.RUN_DATE is null or :NEW.RUN_DATE = '') then 
      SELECT Current_Timestamp INTO :NEW.RUN_DATE FROM DUAL;
  end if;
  if (:NEW.STATUS is null or :NEW.STATUS = '') then 
      :NEW.STATUS := 'RUNNING';
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_RESULTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_RESULTS_UP_TRG" 
BEFORE UPDATE ON UT_TEST_IMPL_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_RESULTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_TRG" 
BEFORE INSERT ON UT_TEST_IMPL
FOR EACH ROW 
BEGIN
  if (:NEW.UTI_ID is null or :NEW.UTI_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.UTI_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_UP_TRG" 
BEFORE UPDATE ON UT_TEST_IMPL
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_VAL_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_VAL_RESULTS_TRG" 
BEFORE INSERT ON UT_TEST_IMPL_VAL_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UTIVR_ID is null or :NEW.UTIVR_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTIVR_ID FROM DUAL;
  end if;
  if (:NEW.STATUS is null or :NEW.STATUS = '') then 
      :NEW.STATUS := 'RUNNING';
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_VAL_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_IMPL_VAL_RES_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_IMPL_VAL_RES_UP_TRG" 
BEFORE UPDATE ON UT_TEST_IMPL_VAL_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_IMPL_VAL_RES_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_RESULTS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_RESULTS_TRG" 
BEFORE INSERT ON UT_TEST_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UTR_ID is null or :NEW.UTR_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UTR_ID FROM DUAL;
  end if;
  if (:NEW.RUN_DATE is null or :NEW.RUN_DATE = '') then 
      SELECT Current_Timestamp INTO :NEW.RUN_DATE FROM DUAL;
  end if;
  if (:NEW.STATUS is null or :NEW.STATUS = '') then 
      :NEW.STATUS := 'RUNNING';
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_RESULTS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_RESULTS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_RESULTS_UP_TRG" 
BEFORE UPDATE ON UT_TEST_RESULTS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_RESULTS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_TRG" 
BEFORE INSERT ON UT_TEST
FOR EACH ROW 
BEGIN
  if (:NEW.UT_ID is null or :NEW.UT_ID = '') then 
      SELECT  SYS_GUID() INTO :NEW.UT_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_TEST_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_TEST_UP_TRG" 
BEFORE UPDATE ON UT_TEST
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_TEST_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_VALIDATIONS_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_VALIDATIONS_TRG" 
BEFORE INSERT ON UT_VALIDATIONS
FOR EACH ROW 
BEGIN
  if (:NEW.VALIDATION_ID is null or :NEW.VALIDATION_ID = '') then
      SELECT  SYS_GUID() INTO :NEW.VALIDATION_ID FROM DUAL;
  end if;
  if (:NEW.CREATED_ON is null or :NEW.CREATED_ON = '') then
      SELECT sysdate INTO :NEW.CREATED_ON FROM DUAL;
  end if;
  if (:NEW.CREATED_BY is null or :NEW.CREATED_BY = '') then
      SELECT user INTO :NEW.CREATED_BY FROM DUAL;
  end if;
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_VALIDATIONS_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger UT_VALIDATIONS_UP_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "REGALS"."UT_VALIDATIONS_UP_TRG" 
BEFORE UPDATE ON UT_VALIDATIONS
FOR EACH ROW 
BEGIN
  if (:NEW.UPDATED_ON is null or :NEW.UPDATED_ON = '') then
      SELECT sysdate INTO :NEW.UPDATED_ON FROM DUAL;
  end if;
  if (:NEW.UPDATED_BY is null or :NEW.UPDATED_BY = '') then
      SELECT user INTO :NEW.UPDATED_BY FROM DUAL;
  end if;
END;
/
ALTER TRIGGER "REGALS"."UT_VALIDATIONS_UP_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Function AFEGIR_IMPORT_TRANSACCIO_REGAL
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."AFEGIR_IMPORT_TRANSACCIO_REGAL" (
  ID_desig IN NUMBER 
) RETURN float IS RS float;
res number;
BEGIN
res:=ID_desig;
 
 select  IMPORT_ACUMULAT into rs
from regals
where regals.ID=res;
--DBMS_OUTPUT.PUT_LINE('la '||rs);
 RETURN rs;

 
 
END AFEGIR_IMPORT_TRANSACCIO_REGAL;

/
--------------------------------------------------------
--  DDL for Function ANY_EVENT
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."ANY_EVENT" 
(
  ID_EVENT IN NUMBER 
) RETURN VARCHAR IS RS VARCHAR(4);
BEGIN
 SELECT  TO_CHAR(DATA_ALTA,'yyyy') INTO RS FROM EVENTS WHERE ID = ID_EVENT;
 RETURN RS;
END ANY_EVENT;

/
--------------------------------------------------------
--  DDL for Function ANY_MES
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."ANY_MES" 
(
  ID_EVENT IN NUMBER 
) RETURN VARCHAR IS RS VARCHAR(4);
BEGIN
 SELECT  TO_CHAR(DATA_alta,'yyyy') INTO RS FROM EVENTS WHERE ID = ID_EVENT;
 RETURN RS;

END ANY_MES;

/
--------------------------------------------------------
--  DDL for Function CERCAIMPORTREGAL
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."CERCAIMPORTREGAL" 
(
  ID_desig IN NUMBER 
) RETURN float IS RS float;
BEGIN
 select  articles.PREU into rs
from desitjos,articles
where desitjos.ID=ID_desig and desitjos.CODI_ARTICLE=articles.CODI;
 RETURN RS;
  
END CERCAIMPORTREGAL;

/
--------------------------------------------------------
--  DDL for Function GRUP_MES_DESPESA
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."GRUP_MES_DESPESA" RETURN varchar2 AS
 
 RS VARCHAR2(20);
  
  ESTAT VARCHAR2(20);
 
  
BEGIN

SELECT ID_EVENT INTO ESTAT FROM(
SELECT REGALS.ID_EVENT,SUM(REGALS.IMPORT_ACUMULAT)
FROM REGALS ,EVENTS
WHERE  EVENTS.ID=REGALS.ID_EVENT AND (select to_char(sysdate,'yyyyMM') from dual)>=( to_char(EVENTS.data_ALTA,'yyyyMM'))
AND  (select to_char(sysdate,'yyyyMM') from dual)<=( to_char(EVENTS.data_LIMIT,'yyyyMM'))
GROUP BY REGALS.ID_EVENT
ORDER BY SUM(REGALS.IMPORT_ACUMULAT)DESC)
WHERE ROWNUM=1;
    
  RS := estat;  
  RETURN RS;
  
END GRUP_MES_DESPESA;

/
--------------------------------------------------------
--  DDL for Function PARTICIPANT_MES_DESPESA
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."PARTICIPANT_MES_DESPESA" RETURN varchar2 AS
 
 RS VARCHAR2(20);
  
  ESTAT VARCHAR2(20);
 
  
BEGIN

SELECT ID_USUARI INTO ESTAT FROM  (SELECT  ID_USUARI,SUM(IMPORT)
 FROM TRANSACCIONS
 WHERE to_char(transaccions.data,'yyyyMM')=(select to_char(sysdate,'yyyyMM') from dual)
 GROUP BY ID_USUARI
 ORDER BY SUM(IMPORT) DESC)
 WHERE ROWNUM=1;
    
  RS := estat;  
  RETURN RS;
END ;

/
--------------------------------------------------------
--  DDL for Function PARTICIPANT_REBUT_MES_REGALS
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."PARTICIPANT_REBUT_MES_REGALS" RETURN varchar2 AS
 
 RS VARCHAR2(20);
  
  ESTAT VARCHAR2(20);
 
  
BEGIN

SELECT ID_HOMENATJAT INTO ESTAT FROM(
SELECT  ID_HOMENATJAT ,COUNT(REGALS.ID)
FROM EVENTS,REGALS
WHERE EVENTS.ID=REGALS.ID_EVENT AND REGALS.CODI_ESTAT<>2 and regals.codi_estat<>3  AND (select to_char(sysdate,'yyyyMM') from dual)>=( to_char(EVENTS.data_ALTA,'yyyyMM'))
AND  (select to_char(sysdate,'yyyyMM') from dual)<=( to_char(EVENTS.data_LIMIT,'yyyyMM'))
GROUP BY ID_HOMENATJAT
ORDER BY COUNT(REGALS.ID) DESC)
WHERE ROWNUM=1;
    
  RS := estat;  
  RETURN RS;
  
END PARTICIPANT_REBUT_MES_REGALS;

/
--------------------------------------------------------
--  DDL for Function PARTICIPAT_MES_REGALS
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."PARTICIPAT_MES_REGALS" RETURN varchar2 AS
 
 RS VARCHAR2(20);
  
  ESTAT VARCHAR2(20);
 
  
BEGIN

SELECT ID_USUARI INTO ESTAT FROM(
SELECT ID_USUARI, COUNT(DISTINCT ID_REGAL)
FROM TRANSACCIONS
WHERE to_char(transaccions.data,'yyyyMM')=(select to_char(sysdate,'yyyyMM') from dual)
GROUP BY ID_USUARI
ORDER BY COUNT(DISTINCT ID_REGAL) DESC)
WHERE ROWNUM=1;
    
  RS := estat;  
  RETURN RS;
END PARTICIPAT_MES_REGALS;

/
--------------------------------------------------------
--  DDL for Function REGAL_PERCENTATGE
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."REGAL_PERCENTATGE" 
(
  ENTRADA1 IN NUMBER 
) RETURN NUMBER IS RS NUMBER;
  
  ESTAT_6 NUMBER;
  ESTAT_X NUMBER;
  
BEGIN


SELECT COUNT(*) INTO ESTAT_6
 from REGALs, events
  where REGALS.ID_EVENT=events.ID AND TO_CHAR(EVENTS.DATA_ALTA,'yyyy')=ENTRADA1
  AND CODI_ESTAT<>'2'and codi_estat<>'3';
  
   SELECT COUNT(*) INTO ESTAT_X
 from REGALs, events
  where REGALS.ID_EVENT=events.ID AND TO_CHAR(EVENTS.DATA_ALTA,'yyyy')=ENTRADA1
  AND CODI_ESTAT='3';
  

    
  RS := ESTAT_6*100/(ESTAT_6+ESTAT_X);  
  RETURN RS;



 -- RETURN 1;

 
 




 

  END REGAL_PERCENTATGE;

/
--------------------------------------------------------
--  DDL for Function RESTAR_IMPORT_TRANSACCIO_REGAL
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "REGALS"."RESTAR_IMPORT_TRANSACCIO_REGAL" (
  ID_desig IN NUMBER 
) RETURN float IS RS float;
res number;
BEGIN
res:=ID_desig;
 
 select  IMPORT_RESTANT into rs
from regals
where regals.ID=res;
--DBMS_OUTPUT.PUT_LINE('la '||rs);
 RETURN rs;

 
END RESTAR_IMPORT_TRANSACCIO_REGAL;

/
