--------------------------------------------------------
-- Archivo creado  - domingo-junio-15-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table ARTICLES
--------------------------------------------------------

  CREATE TABLE "REGALS"."ARTICLES" 
   (	"CODI_PROVEIDOR" VARCHAR2(15 BYTE), 
	"REF_CATALEG" VARCHAR2(15 BYTE), 
	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE), 
	"PREU" VARCHAR2(45 BYTE), 
	"CODI_CATEGORIA" VARCHAR2(15 BYTE), 
	"CODI_IMPOST" VARCHAR2(5 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table CATALEGS
--------------------------------------------------------

  CREATE TABLE "REGALS"."CATALEGS" 
   (	"CODI_PROVEIDOR" VARCHAR2(15 BYTE), 
	"REFERENCIA" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table CATEGORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."CATEGORIES" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DEDICATORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."DEDICATORIES" 
   (	"ID" NUMBER(11,0), 
	"ID_EVENT" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"MISSATGE" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DESITJOS
--------------------------------------------------------

  CREATE TABLE "REGALS"."DESITJOS" 
   (	"ID" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"CODI_PROV" VARCHAR2(15 BYTE), 
	"REF_CATALEG" VARCHAR2(15 BYTE), 
	"CODI_ARTICLE" VARCHAR2(15 BYTE), 
	"OBSERVACIONS" VARCHAR2(100 BYTE), 
	"DATA_ALTA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_PARTICIPANT
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_PARTICIPANT" 
   (	"ANYS_MES" CHAR(6 BYTE), 
	"PARTICIPANT_MES_REGALS" VARCHAR2(20 BYTE), 
	"PARTICIPANT_MES_DESPESA" VARCHAR2(20 BYTE), 
	"PARTICIPANT_MES_PARTICIPAT" VARCHAR2(20 BYTE), 
	"GRUP_MES_DESPESA" VARCHAR2(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_PRODUCTE
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_PRODUCTE" 
   (	"ANYS" CHAR(4 BYTE), 
	"PRODUCTE" VARCHAR2(20 BYTE), 
	"MAX_VEGADES_REGALAT" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table ESTD_REGAL
--------------------------------------------------------

  CREATE TABLE "REGALS"."ESTD_REGAL" 
   (	"ANYS" CHAR(4 BYTE), 
	"NUMERO_REGALS_ADQUIRIT" NUMBER, 
	"IMPORT_TOTAL_REGALS" NUMBER, 
	"PERCENTATGE_REGAL_ASSOLIT" NUMBER, 
	"MITJA_DESPESA_REGALS_PARTICI" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS" 
   (	"ID" NUMBER(11,0), 
	"DATA_ALTA" DATE, 
	"CODI_TIPUS_EVENT" VARCHAR2(15 BYTE), 
	"ID_HOMENATJAT" NUMBER, 
	"DATA_LIMIT" DATE, 
	"MOSTRAR_IMPORT_INDIV" CHAR(1 BYTE) DEFAULT 'n'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS_PARTICIPANTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS_PARTICIPANTS" 
   (	"ID_EVENT" NUMBER(11,0), 
	"ID_USUARI" NUMBER(11,0), 
	"DATA_ALTA" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table EVENTS_TIPUS
--------------------------------------------------------

  CREATE TABLE "REGALS"."EVENTS_TIPUS" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IMPOSTOS
--------------------------------------------------------

  CREATE TABLE "REGALS"."IMPOSTOS" 
   (	"CODI" VARCHAR2(5 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE), 
	"VALOR" NUMBER(2,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table MODES_PAGAMENT
--------------------------------------------------------

  CREATE TABLE "REGALS"."MODES_PAGAMENT" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table PROVEIDORS
--------------------------------------------------------

  CREATE TABLE "REGALS"."PROVEIDORS" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"NOM" VARCHAR2(45 BYTE), 
	"DIRECCIO" VARCHAR2(45 BYTE), 
	"CODI_POSTAL" VARCHAR2(45 BYTE), 
	"POBLACIO" VARCHAR2(45 BYTE), 
	"PROVINCIA" VARCHAR2(45 BYTE), 
	"TELEFON" VARCHAR2(45 BYTE), 
	"EMAIL" VARCHAR2(45 BYTE), 
	"WEB" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table REGALS
--------------------------------------------------------

  CREATE TABLE "REGALS"."REGALS" 
   (	"ID" NUMBER(11,0), 
	"ID_EVENT" NUMBER(11,0), 
	"ID_DESIG" NUMBER(11,0), 
	"CODI_ESTAT" VARCHAR2(15 BYTE) DEFAULT 1, 
	"IMPORT_ACUMULAT" FLOAT(126) DEFAULT 0, 
	"IMPOST" FLOAT(126), 
	"ID_ENTREGAR_A" NUMBER(11,0), 
	"IMPORT_RESTANT" FLOAT(126)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table REGALS_ESTAT
--------------------------------------------------------

  CREATE TABLE "REGALS"."REGALS_ESTAT" 
   (	"CODI" VARCHAR2(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TABLA_LOG
--------------------------------------------------------

  CREATE TABLE "REGALS"."TABLA_LOG" 
   (	"DATA" DATE, 
	"NOM_PROCEDIMENT" VARCHAR2(60 BYTE), 
	"PARAMETRES_ENTRADA" VARCHAR2(200 BYTE), 
	"PARAMETRES_SORTIDA" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TRANSACCIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."TRANSACCIONS" 
   (	"ID" NUMBER(11,0), 
	"DATA" DATE, 
	"ID_USUARI" NUMBER(11,0), 
	"ID_REGAL" NUMBER(11,0), 
	"CODI_MOD_PAGAMENT" VARCHAR2(15 BYTE), 
	"IMPORT" FLOAT(126), 
	"DEVOLUCIO" FLOAT(30) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table USUARIS
--------------------------------------------------------

  CREATE TABLE "REGALS"."USUARIS" 
   (	"ID" NUMBER(11,0), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"NOM" VARCHAR2(50 BYTE), 
	"DIRECCIO" VARCHAR2(45 BYTE), 
	"CODI_POSTAL" VARCHAR2(5 BYTE), 
	"POBLACIO" VARCHAR2(45 BYTE), 
	"PROVINCIA" VARCHAR2(45 BYTE), 
	"DATA_ALTA" DATE, 
	"DATA_MODIFICACIO" DATE, 
	"DATA_BAIXA" DATE, 
	"DATA_NAIXEMENT" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LIB_DYN_QUERIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_DYN_QUERIES" 
   (	"LIB_DYN_QUERY_ID" VARCHAR2(40 BYTE), 
	"LIB_DYN_QUERY_NAME" VARCHAR2(120 BYTE), 
	"LIB_DYN_QUERY_CLASS" VARCHAR2(120 BYTE), 
	"LIB_DYN_QUERY" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_DYN_QUERY") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_STARTUPS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_STARTUPS" 
   (	"LIB_STARTUP_ID" VARCHAR2(40 BYTE), 
	"LIB_STARTUP_NAME" VARCHAR2(120 BYTE), 
	"LIB_STARTUP_CLASS" VARCHAR2(120 BYTE), 
	"LIB_STARTUP" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_STARTUP") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_TEARDOWNS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_TEARDOWNS" 
   (	"LIB_TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"LIB_TEARDOWN_NAME" VARCHAR2(120 BYTE), 
	"LIB_TEARDOWN_CLASS" VARCHAR2(120 BYTE), 
	"LIB_TEARDOWN" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_TEARDOWN") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LIB_VALIDATIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LIB_VALIDATIONS" 
   (	"LIB_VALIDATION_ID" VARCHAR2(40 BYTE), 
	"LIB_VALIDATION_NAME" VARCHAR2(120 BYTE), 
	"LIB_VALIDATION_CLASS" VARCHAR2(120 BYTE), 
	"LIB_VALIDATION" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("LIB_VALIDATION") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_CATEGORIES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_CATEGORIES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_DATATYPES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_DATATYPES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"CAT_ID" VARCHAR2(40 BYTE), 
	"TYPE_ID" NUMBER, 
	"TYPE_STRING" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_LOOKUP_VALUES
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_LOOKUP_VALUES" 
   (	"ID" VARCHAR2(40 BYTE), 
	"DATA_ID" VARCHAR2(40 BYTE), 
	"VALUE" CLOB, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_METADATA
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_METADATA" 
   (	"NAME" VARCHAR2(120 BYTE), 
	"VALUE" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_STARTUPS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_STARTUPS" 
   (	"STARTUP_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"STARTUP" CLOB, 
	"LIB_STARTUP_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("STARTUP") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_SUITE
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE" 
   (	"UT_SID" VARCHAR2(40 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"NAME" VARCHAR2(120 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_ITEM_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_ITEM_RESULTS" 
   (	"UTSR_ID" VARCHAR2(40 BYTE), 
	"UTR_ID" VARCHAR2(40 BYTE), 
	"UTR_NSID" VARCHAR2(40 BYTE), 
	"SEQUENCE" NUMBER, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_ITEMS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_ITEMS" 
   (	"UT_SID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_NSID" VARCHAR2(40 BYTE), 
	"RUN_START" VARCHAR2(1 BYTE), 
	"RUN_TEAR" VARCHAR2(1 BYTE), 
	"SEQUENCE" NUMBER, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_SUITE_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_SUITE_RESULTS" 
   (	"UTSR_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_STATUS" VARCHAR2(20 BYTE), 
	"STARTUP_MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_START_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_END_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_DURATION" NUMBER, 
	"TEARDOWN_STATUS" VARCHAR2(20 BYTE), 
	"TEARDOWN_MESSAGE" VARCHAR2(2000 BYTE), 
	"TEARDOWN_START_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_END_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_DURATION" NUMBER, 
	"COVERAGE" NUMBER(1,0), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEARDOWNS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEARDOWNS" 
   (	"TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"UT_SID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"TEARDOWN" CLOB, 
	"LIB_TEARDOWN_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("TEARDOWN") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST" 
   (	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"OBJECT_NAME" VARCHAR2(120 BYTE), 
	"OBJECT_TYPE" VARCHAR2(120 BYTE), 
	"OBJECT_OWNER" VARCHAR2(120 BYTE), 
	"OBJECT_CALL" VARCHAR2(120 BYTE), 
	"CONNECTION_NAME" VARCHAR2(120 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_ARGUMENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_ARGUMENTS" 
   (	"ARG_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"OWNER" VARCHAR2(30 BYTE), 
	"OBJECT_NAME" VARCHAR2(30 BYTE), 
	"PACKAGE_NAME" VARCHAR2(30 BYTE), 
	"OBJECT_ID" NUMBER, 
	"OVERLOAD" VARCHAR2(40 BYTE), 
	"ARGUMENT_NAME" VARCHAR2(30 BYTE), 
	"POSITION" NUMBER, 
	"SEQUENCE" NUMBER, 
	"DATA_LEVEL" NUMBER, 
	"DATA_TYPE" VARCHAR2(30 BYTE), 
	"DEFAULT_LENGTH" NUMBER, 
	"IN_OUT" VARCHAR2(9 BYTE), 
	"DATA_LENGTH" NUMBER, 
	"DATA_PRECISION" NUMBER, 
	"DATA_SCALE" NUMBER, 
	"RADIX" NUMBER, 
	"CHARACTER_SET_NAME" VARCHAR2(44 BYTE), 
	"TYPE_OWNER" VARCHAR2(30 BYTE), 
	"TYPE_NAME" VARCHAR2(30 BYTE), 
	"TYPE_SUBNAME" VARCHAR2(30 BYTE), 
	"TYPE_LINK" VARCHAR2(128 BYTE), 
	"PLS_TYPE" VARCHAR2(30 BYTE), 
	"CHAR_LENGTH" NUMBER, 
	"CHAR_USED" VARCHAR2(1 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_COVERAGE_STATS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_COVERAGE_STATS" 
   (	"UTC_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"UNIT_OWNER" VARCHAR2(30 BYTE), 
	"UNIT_NAME" VARCHAR2(30 BYTE), 
	"LINE" NUMBER, 
	"TOTAL_OCCUR" NUMBER, 
	"TOTAL_TIME" NUMBER, 
	"TEXT" VARCHAR2(4000 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL" 
   (	"UTI_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"EXPECTED_RETURN" VARCHAR2(20 BYTE), 
	"EXPECTED_RETURN_ERROR" VARCHAR2(200 BYTE), 
	"DYNAMIC_VALUE_QUERY" CLOB, 
	"LIB_DYN_QUERY_ID" VARCHAR2(40 BYTE), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("DYNAMIC_VALUE_QUERY") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_ARG_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_ARG_RESULTS" 
   (	"UTIAR_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"ARG_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_ARGUMENTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_ARGUMENTS" 
   (	"UTI_ID" VARCHAR2(40 BYTE), 
	"ARG_ID" VARCHAR2(40 BYTE), 
	"INPUT_VALUE" CLOB, 
	"OUTPUT_VALUE" CLOB, 
	"TEST_OUTVAL" NUMBER(1,0) DEFAULT 1, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("INPUT_VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) 
 LOB ("OUTPUT_VALUE") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_RESULTS" 
   (	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"UTR_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"START_TIME" VARCHAR2(20 BYTE), 
	"END_TIME" VARCHAR2(20 BYTE), 
	"DURATION" NUMBER, 
	"STARTUP_STATUS" VARCHAR2(20 BYTE), 
	"STARTUP_MESSAGE" VARCHAR2(2000 BYTE), 
	"STARTUP_START_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_END_TIME" VARCHAR2(20 BYTE), 
	"STARTUP_DURATION" NUMBER, 
	"OP_CALL_STATUS" VARCHAR2(20 BYTE), 
	"OP_CALL_MESSAGE" VARCHAR2(2000 BYTE), 
	"OP_CALL_START_TIME" VARCHAR2(20 BYTE), 
	"OP_CALL_END_TIME" VARCHAR2(20 BYTE), 
	"OP_CALL_DURATION" NUMBER, 
	"TEARDOWN_STATUS" VARCHAR2(20 BYTE), 
	"TEARDOWN_MESSAGE" VARCHAR2(2000 BYTE), 
	"TEARDOWN_START_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_END_TIME" VARCHAR2(20 BYTE), 
	"TEARDOWN_DURATION" NUMBER, 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_IMPL_VAL_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_IMPL_VAL_RESULTS" 
   (	"UTIVR_ID" VARCHAR2(40 BYTE), 
	"UTIR_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"VAL_ID" VARCHAR2(40 BYTE), 
	"VAL_TYPE" VARCHAR2(40 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"VAL_START_TIME" VARCHAR2(20 BYTE), 
	"VAL_END_TIME" VARCHAR2(20 BYTE), 
	"VAL_DURATION" NUMBER, 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_TEST_RESULTS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_TEST_RESULTS" 
   (	"UTR_ID" VARCHAR2(40 BYTE), 
	"UT_ID" VARCHAR2(40 BYTE), 
	"NAME" VARCHAR2(120 BYTE), 
	"STATUS" VARCHAR2(20 BYTE), 
	"MESSAGE" VARCHAR2(2000 BYTE), 
	"COVERAGE" NUMBER(1,0), 
	"TEST_USER_NAME" VARCHAR2(120 BYTE), 
	"CONNECTION_NAME" VARCHAR2(120 BYTE), 
	"RUN_DATE" TIMESTAMP (6), 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table UT_VALIDATIONS
--------------------------------------------------------

  CREATE TABLE "REGALS"."UT_VALIDATIONS" 
   (	"VALIDATION_ID" VARCHAR2(40 BYTE), 
	"UTI_ID" VARCHAR2(40 BYTE), 
	"INDEX_NO" NUMBER(*,0), 
	"VALIDATION" CLOB, 
	"LIB_VALIDATION_ID" VARCHAR2(40 BYTE), 
	"APPLY_VALIDATION" NUMBER(1,0) DEFAULT 1, 
	"CREATED_ON" TIMESTAMP (6), 
	"CREATED_BY" VARCHAR2(120 BYTE), 
	"UPDATED_ON" TIMESTAMP (6), 
	"UPDATED_BY" VARCHAR2(120 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("VALIDATION") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
